﻿/* Generated with Author-it 5.5.264.13693  3/2/2016 6:18:55 PM */
Page=new Array();Page[0]=new Array("There are four ways to perform Plesk deployment described in this guide: installation, upgrade, transfer, and migration.","Installation ","Plesk installation can be performed either manually (suits best for single installation) or in an automated, unattended, manner. The latter way is recommended for installing Plesk on multiple servers. For mass Plesk deployments, we also recommend that you install Plesk instances to Virtuozzo.","Learn more in the chapter Installing Plesk.","Upgrade","If you use an earlier Plesk version, you can upgrade it to a later version when it is available. There are two ways of upgrading Plesk: in-place upgrade and upgrade by transfer. While in-place upgrade is the updating of Plesk components within one server, upgrade by transfer implies moving of data from the server with earlier Plesk version (source) to the server with a later Plesk version (destination).","Learn more in the chapter Upgrading Plesk.","Transfer","Plesk supports transferring hosting data (service plans, subscriptions, and so on) from one Plesk server to another. This allows you, for example, to seamlessly move your Plesk to a more productive server. ","Learn more in the chapter Transferring Data Between Plesk Servers.","Migration","Migration is the only way to switch to Plesk from other hosting solutions (CPanel, Confixx, and other). This is done by transferring hosting data from a source server to Plesk. ","Learn more in the Migration Guide. ","Get Started","about.htm");
Page[1]=new Array("There are a number of installation scenarios depending on your environment:","Dedicated server","Manual or automated installation.","Virtual server","Manual or automated installation. ","Cloning Plesk from server to server.","Installation using Virtuozzo templates (only for Virtuozzo).","Cloud Platform","Deployment in Amazon Web Services and Windows Azure. ","Cloning Plesk from server to server.","Manual Installation","This is the best way if you want a new single installation of Plesk. Manual means that the installation requires user input. The wizard will prompt you to enter various installation settings such as Plesk version, installed components, and so on. Manual installation is performed by the Plesk Installer utility that you should download from the official Odin website and run either in the GUI or in the command-line mode. For those who want to quickly install Plesk in the most typical configuration, we offer the One-Click Installer utility. Learn more in the section Manual Installation. ","Automated Installation","A manual Plesk installation is time-consuming when it comes to handling a large number of servers. To facilitate these complex deployments, we offer the automated type of installation. The main idea is to run the installation without any user input. This is done by setting up all installation parameters with the help of Plesk Installer command-line options. Moreover, on Linux systems we suggest that you write a script that copies and simultaneously runs the Installer utility on a number of servers. Learn more in the section (Advanced) Automated Installation.<br>Note that automated installations can be significantly speeded up if you create a local mirror of the Plesk updates server. Learn more in Appendix C: Mirroring Plesk updates Server.","Installation on Cloud Platforms ","Plesk fully supports installation on cloud platforms such as Amazon Web Services and Windows Azure. To deploy Plesk on these platforms, use the following guidelines:","Amazon Web Services","Instructions for Linux and Windows.","Video tutorial.","Windows Azure","Instructions.","Video tutorial.","Installation to Virtuozzo","Virtuozzo is a virtualization solution employed by a large number of service providers. You can install Plesk to Virtuozzo Containers using either the manual or automated installation way described above but the best way to do it is to use Virtuozzo app templates. A Virtuozzo app template is a package containing app data and configuration scripts that are necessary for installation. The main benefit of Virtuozzo templates is that you install an app template to your server just once, and then install the app from the template to a number of containers simultaneously. Further app upgrades are also applied through templates. ","When installing Plesk with a Virtuozzo template, you do not need to use the Installer utility. You just apply a certain template to a container (or a number of containers) using the Virtuozzo commands. If you need a number of containers with Plesk, you can clone the container with the installed template as many times as you need. Learn more in the section (Advanced) Installation to Virtuozzo.","Cloning Plesk from Server to Server","Plesk cloning is the copying of the same Plesk instance to different virtual machines without compromising Plesk operability. This scenario is applicable in case you already have a working Plesk instance in some virtual environment and want to get a new Plesk server by simply cloning the virtual server image. Learn more about cloning in (Advanced) Cloning Plesk in Virtual Environment.","Installation Steps","Typical installation begins with some preliminary steps (checking requirements, choosing the proper Plesk version, and so on) and ends with some post-installation configuration (initializing Plesk, installing a license key, and so on). Most of these steps are the same for all installation types. The only difference is that in manual installations, post-installation steps should be performed through the GUI, while for automated installations we suggest using Plesk API or command-line interface to automatically perform the post-installation configuration.","Note that Plesk supports many third-party services that are not installed by default (such as support for Microsoft Web Deploy, and others). If you want Plesk to provide such services, you must install them after all post-installation steps are finished. Learn more in Appendix A: Installing Third-Party Services. ","Moreover, you can significantly extend Plesk functionality by installing Plesk extensions. You can access such extensions directly from the Plesk GUI and gain control over many additional and handy features. Learn how to install additional Plesk extensions in  Appendix B: Installing Plesk Extensions (Linux).","Installing Plesk","70260.htm");
Page[2]=new Array("There are a few preliminary steps that you might need to perform before installing Plesk. These steps apply to all installation scenarios.","&nbsp;","Before Installing Plesk","70263.htm");
Page[3]=new Array("Before you install Plesk on a server, make sure you meet the following requirements.","Requirements for Linux Systems","We recommend that you install Plesk on a clean operating system. Before installing Plesk for Linux, make sure that the following requirements are met:","Your server meets the requirements described in the Plesk release notes.","A static IPv4 address is preliminarily configured. If you have an environment that uses only IPv6 addresses, ensure the proper address translation to the IPv4 segment of the Internet.","Certain ports should be open. For details, see http://kb.plesk.com/en/391.","The AppArmor app is disabled. For details, see http://kb.plesk.com/en/112903.","The disk space allocated to the /tmp directory exceeds 100 megabytes.","A user who runs the installer can execute files in the /tmp directory. This makes it possible to install the system packages required for Plesk. When the installation is completed, we recommend that you mount /tmp with the noexec option. For details on how to do it, see http://kb.plesk.com/en/1410.","If you run Debian, CloudLinux, or Ubuntu, make sure that you have system repositories with updates availiable to your package manager.","Your hard drive must be properly partitioned. For instructions, see the article on partitioning tips at  http://kb.plesk.com/article_17_819_en.html.","On Debian and Ubuntu operating systems, the path /usr/local/psa is reserved for system needs. We highly recommend that you neither manually create this directory nor mount a separate partition to this location. Instead, if you want to use a separate partition for Plesk, mount the partition to /opt/psa/, the commonly used path for Debian and Ubuntu installations. If you do not follow this recommendation, Plesk will not be able to apply updates.","Requirements for Windows Systems","Before installing Plesk for Windows, back up all your server data and make sure that the following requirements are met:","Your server meets the requirements described in the Plesk release notes.","Your server is not working as a Windows Domain Controller (neither primary nor backup). If this requirement is not fulfilled, a system crash may occur during the creation of domains with certain names. ","A static IPv4 address should be configured in the OS prior to the Plesk installation. If you have an environment that uses only IPv6 addresses, ensure the proper address translation to the IPv4 segment of the Internet.","The installation path of Plesk must contain only ASCII symbols.","Note: If you already have MS SQL server installed on the server where you are going to install Plesk, there is no need to install MS SQL again. You can install Plesk without the MS SQL component and register your existing MS SQL server in Plesk as an external database server. For details, refer to Administrator's Guide, section Connecting to External Databases (Windows).","Note: During Plesk installation, the following ports are opened: http://kb.plesk.com/en/391.","1. Check Installation Requirements","65862.htm");
Page[4]=new Array("One more step before installing Plesk is to choose the proper Plesk version depending on its release tier.","Each major version of Plesk passes through a number of development stages. It is natural that on earlier stages, some of newly implemented features may not be in their final state and may require some further modification. The functionality of suсh features in subsequent Plesk versions is improved as they receive more customer feedback over time. To indicate the stage of the current Plesk version, we assign one of the following release tiers to it: Testing release, Early Adopter release, General release, and Late Adopter release. The decision on what tier to use is absolutely up to you. For example, consider installing the early adopter release if you want to try new features before the general availability of Plesk. On the other hand, if you want to get the solution that received all major updates and is successfully used by a number of service providers, wait until Plesk gets the late adopter release status (it may be a couple of months after the general release). ","Choose one of the following:","Testing release.<br>We start each release cycle with publishing a number of testing releases for preview purposes and let you sequentially upgrade from the first one to the last, and then upgrade to higher release tiers. We do not provide technical support for such builds even if they were upgraded to higher tiers. Thus, avoid using this build in a production environment. ","Notes: <br>1. By default, testing builds are not shown as available for installation. You can install the testing Plesk version only by running Plesk Installer with one of the special options. Learn more in Manual Installation.<br>2. Upgrade to the next testing release is available only to the users of a testing build. Subsequent Plesk builds do not have the corresponding option in the GUI.","Early Adopter release. <br>An early adopter release has all claimed features and previous versions successfully upgrade to it. The quality of this version is eventually improved by updates. By selecting the early adopter release you become the first to see the new features and receive the freshest updates.","General release.<br>A general release has passed all quality tests. Minor issues are promptly fixed by updates. We recommend that you always upgrade Plesk to general release versions. ","Late Adopter release. <br>A late adopter release has received all major updates issued for the current Plesk version, and a number of service providers have successfully used it for some time.","During the manual installation, selection of a release tier is one of the installation wizard steps. If an installation is automated by a script, you should specify a certain tier using Installer options. For users of Virtuozzo templates, the general release is the only option. ","2. Choose a Release Tier","68908.htm");
Page[5]=new Array("Plesk employs a number of interchangeable components for providing its services. For example, mail services on Linux can be provided by either Postfix or Qmail. The decision about what component to choose is made by you during Plesk installation. Also, some components that you may find useful are not installed by default. Before installing Plesk, acquaint yourself with available Plesk components and choose the ones to include in your final Plesk configuration. Next in this section, we will give recommendations on which components to choose under various circumstances. The components from the list below are not installed by default unless explicitly stated.","Note: Some components may be unavailable to you due to the limitations of your Plesk license key.","Web Hosting","Web hosting components are used to enable support for a certain web hosting service. For example, support for a certain scripting language or support for FTP connections.","Plesk Web hosting","(Installed by default). Install this component if you want to use your Plesk for web hosting.","Apache mod_fcgid module<br>(Installed by default). Install this component if you want to turn on FastCGI support for the Apache web server. ","Apache mod_perl module<br>(Installed by default). Install this component if you want to turn on support for Perl scripts by the Apache web server.","ProFTPD FTP server<br>(Installed by default). Install this component if you want to allow users to connect to Plesk using FTP.","Bandwidth Limiter for Apache support (mod_bw)<br>Install this component if you want to manage bandwidth limiting for incoming connections.","Apache ASP support<br>Install this component if you want to turn on support for ASP scripts by the Apache web server.","Tomcat Java Servlets support<br>Install this component if you want to turn on support for Java servlets.","Apache mod_python module<br>Install this component if you want to turn on support for Python scripts by the Apache web server.","Ruby on Rails support<br>Install this component if you want to turn on support for Ruby on Rails scripts.","MIVA Empresa support<br>Install this component if you want to turn on support for MIVA scripts.","Webalizer web statistics package<br>(Installed by default). This component allows users to collect site visit statistics by means of the Webalizer software. ","AWStats web statistics package<br>(Installed by default). This component allows users to collect site visit statistics by means of the AWStats software.","Cloudflare Apache Module","This component allows improving performance of websites hosted in the server using the Cloudflare service.","Apache Web Server Versions (Linux Hosting)","If you use RHEL 5 of CentOS 5, you can choose one of the following options:","Apache web server support<br>Typical Apache web server used to deliver websites to Internet users. ","Apache web server with SNI support<br>(Installed by default). Server Name Indication (SNI) is a feature that extends the SSL protocol. Install this component if you want to use separate SSL certificates for websites with a shared IP address.","Nginx Web Server and Reverse Proxy Support","Nginx reverse proxy support","(Installed by default). ","php-fpm support for nginx","On Linux systems other than Debian 7, and Ubuntu 12.04, installing this component requires enabling third-party repositories. ","Plesk Webmail Support","Specify the webmail software that allows Plesk users to access their mail accounts through a browser:","Horde webmail support","Roundcube webmail support","Mail (Linux Hosting)","Select the mail services Plesk should provide:","Kaspersky antivirus<br>Install this component if you want to use Kaspersky antivirus software for checking mail.","Odin Premium antivirus<br>(Installed by default). Install this component if you want to use Odin Premium antivirus software for checking mail.","Mailman mailing list manager support<br>This component adds mailing list functionality to Plesk.","SpamAssassin support<br>Install this component if you want to use SpamAssassin software to effectively stop email spam.","Choose one of the following mail servers that best suits your needs:","Postfix mail server<br>(Installed by default).","Qmail mail server","MSMTP relay only mail server (SMTP client)","Select this option if you do not want to install mail server. When you log in to Plesk with no mail server installed, it will offer you to specify an external SMTP server for sending outgoing mail.","Databases ","The default database server in Plesk is MySQL. It is installed by default. However, since version 11.5, on Linux you can replace it with MariaDB or Percona Server. For instructions on replacing MySQL server with these alternatives, refer to the Advanced Administration Guide, section Using MariaDB or Percona Server as the Default Database Server.","PostgreSQL server support<br>If you require support for PostgreSQL databases (for example, this may be a requirement of certain web apps), select this option to install PostgreSQL to your Plesk server.","MS SQL Server 2008 (on Windows)","MS SQL Server 2012 (on Windows)","Important: If Microsoft SQL Server is already installed on your server, you should exclude this component from your Plesk installation. Otherwise, Plesk will perform a clean installation of SQL Server and data stored in your MS SQL server will be lost. To let Plesk use your SQL Server, connect the SQL Server to Plesk once you complete the installation. To learn how to connect a database server to Plesk, refer to the Administrator's Guide, section Adding and Removing Database Servers.","DNS Server","BIND DNS server support","(Installed by default on Linux). On Linux, deselect this component if you do not want to run the DNS service on the server. On Windows, select this component if you want to use BIND instead of the Microsoft DNS.","Microsoft DNS server","(Installed by default on Windows). Deselect this component if you do not want to run the DNS service on the server or if you want to use BIND instead.","Important: If you exclude the DNS server from your installation, the DNS service will not work for websites hosted on your server. Excluding the DNS server makes sense only if you are going to use an external DNS server. Learn more in the section Using External DNS Servers of the Administrator's Guide.","System Monitoring","Health monitor<br>Install this component if you want to track all main server health parameters, such as memory and CPU usage by different services, hard disk utilization, number of running processes, and so on.","Backup and Migration","Plesk Migrator<br>Install this component if you want to perform data transfer from another Plesk or migration from another hosting platform. Install this component to a destination server.","Addition Components (Linux Hosting)","You can extend Plesk functionality by installing additional components. Note that these components require post-installation configuration. Learn more in Appendix G. Configuring Additional Plesk Components.","Plesk Firewall<br>Install this component if you want to protect a Plesk server and private network from unauthorized access with a firewall.","Plesk VPN<br>Install this component if you want to set up a VPN connection between a Plesk server and a remote host through the Plesk GUI. ","Plesk File Server<br>Install this component if you want to share files on your Plesk server.","Watchdog (System monitor)<br>Install this component if you want to use the Watchdog software to monitor your system. This ensures that your server is clean from malware, that all services are up and running, and that there is enough free disk space on the server.","3. Choose Plesk Components","70265.htm");
Page[6]=new Array("By default, Plesk Installer fetches the packages required for Plesk installation or upgrade from the standard repository of your operating system. However, if you want to have a latest package version that is not yet available in the standard repository, you can install this version from an alternative repository. To do this, enable this repository on your server. The instructions on enabling alternative repositories are available on the websites of these repositories.","If you enable alternative repositories in your system, Plesk Installer uses the latest versions of packages it finds in all available repositories when installing or upgrading Plesk. For example, if Plesk updates contains MySQL v.5.5.30, and another repository enabled on your server (for example, IUS) contains MySQL v.5.5.34, the most current version (5.5.34) will be installed. ","Important: If you upgraded to Plesk 12.5 from an earlier version and configured alternative repositories according to the instructions in previous version of this guide, we strongly recommend that you revert all changes you made according to this instruction and use alternative repositories according to this document.","4. (Advanced) Use Alternative Package Repositories","70267.htm");
Page[7]=new Array("Once you have completed the steps described in the section Before Installing Plesk, you can proceed directly to the Plesk installation.","To install Plesk on Linux or Windows-based servers, use the Plesk Installer utility. The Plesk Installer utility is available for download from http://autoinstall.plesk.com/plesk-installer (for Linux) and http://autoinstall-win.plesk.com/plesk-installer.exe (for Windows).","Plesk Installer can be used either via a browser-based user interface or the command line. ","Once the installation is finished, complete the post-installation setup. This includes Plesk initialization and installation of a license key. See the section After Installing Plesk for details.","Manual Installation","65779.htm");
Page[8]=new Array("To install Plesk through the web interface:","Download the Plesk Installer utility that suits your operating system from http://autoinstall.plesk.com/plesk-installer (for Linux) or http://autoinstall-win.plesk.com/plesk-installer.exe (for Windows).","(Only for Linux) Set the execution permission for Plesk Installer: ","chmod +x plesk-installer","Make sure that port 8447 on the server is not filtered. For the complete list of ports Plesk needs to be open, see http://kb.odin.com/en/391.","Run the Plesk Installer.","On a Linux/Unix server: ./plesk-installer --web-interface","On a Windows server: plesk-installer.exe <br>(Only for Linux) Open your browser and enter https://host-name:8447/ or https://IP-address:8447/ in the address bar. The Plesk Installer Web interface opens. ","(Only for Windows) Plesk Installer wizard opens in a new browser window. When the installer starts, an additional console window opens. This window displays the operations performed by the utility. It is closed upon the successful installation, or after 30 minutes of inactivity.","Note: As described in the section Before Installing Plesk, you can select which Plesk build to install depending on its release tier. By default, Installer shows you only the latest general and late adopter releases as available for installation. To be able to install other Plesk releases, use the following Installer options:<br> --all-versions to view all available Plesk versions.<br> --tier &lt;release_tier&gt; to view the latest available versions with the specified release tier.","Log in to the web interface.","If you are running Windows, type the administrator's username (&quot;Administrator&quot;), administrator's password, and click Log In.","If you are running Linux, type the root username and password, and click Log In.","Follow the installation steps.","After installation has finished, you can log in to Plesk at the address https://&lt;host-name-or-IP&gt;:8443 using the username &quot;root&quot; and the root user's password (on Linux) or using the username &quot;Administrator&quot; and the administrator's password (on Windows).","Installation from the Web Interface","65781.htm");
Page[9]=new Array("You can easily install Plesk on a Linux-based server using a special script. The script automatically determines your operating system and installs the latest version of an appropriate distribution package in a typical configuration.","Installation may take from 10 to 60 minutes, depending on the network connection speed, operating system, and the number of components selected for installation.","On Linux-based Servers","To install Plesk in a typical configuration:","Log in as root to the server.","Make sure that wget is installed. To do this, issue the following command in the server console:","On Debian Linux: apt-get install wget","On RHEL and CentOS Linux: yum install wget","Run Plesk installation with the following command:","wget -O - http://autoinstall.plesk.com/one-click-installer | sh","After installation has finished, you can log in to Plesk at the address https://&lt;host-name-or-IP&gt;:8443 using the username &quot;root&quot; and the root user's password.","To install Plesk with a custom selection of components:","Log in as root to the server.","Make sure that wget is installed. To do this, issue the following command in the server console:","On Debian Linux: apt-get install wget","On RHEL and CentOS Linux: yum install wget","Download the installer script from http://autoinstall.plesk.com/plesk-installer:","wget http://autoinstall.plesk.com/plesk-installer ","Run the installer:","sh ./plesk-installer","Note: As described in the section Before Installing Plesk, you can select which Plesk build to install depending on its release tier. By default, Installer shows you only the latest general and late adopter releases as available for installation. To install other Plesk releases, use the following Installer options:<br> --all-versions to view all available Plesk versions.<br> --tier &lt;release_tier&gt; to view the latest available versions with the specified release tier.","Follow the steps prompted by the installation wizard to select the Plesk version and components that you want to install.","After installation has finished, you can log in to Plesk at the address https://&lt;host-name-or-IP&gt;:8443 using the username &quot;root&quot; and the root user's password.","On Windows-based Servers","To install Plesk in a typical configuration:","Log in as administrator to the server.","Download the Plesk Installer utility from http://autoinstall-win.pp.Odin.com/plesk-installer.exe.","Run the installer:","plesk-installer.exe --select-product-id=panel --select-release-id=PANEL_12_0_18_WIN --installation-type=typical ","Note: As described in the section Before Installing Plesk, you can select which Plesk build to install depending on its release tier. By default, Installer shows you only the latest general and late adopter releases as available for installation. To install other Plesk releases, use the following Installer options:<br> --all-versions to view all available Plesk versions.<br> --tier &lt;release_tier&gt; to view the latest available versions with the specified release tier.","After installation has finished, you can log in to Plesk at the address https://&lt;host-name-or-IP&gt;:8443 using the username &quot;Administrator&quot; and the server administrator's password.","To install Plesk with a custom selection of components:","Log in as administrator to the server.","Download the Plesk Installer utility from http://autoinstall-win.plesk.com/plesk-installer.exe.","Run the installer:","plesk-installer.exe --console","Note: As described in the section Before Installing Plesk, you can select which Plesk build to install depending on its release tier. By default, Installer shows you only the latest general and late adopter releases as available for installation. To install other Plesk releases, use the following Installer options:<br> --all-versions to view all available Plesk versions.<br> --tier &lt;release_tier&gt; to view the latest available versions with the specified release tier.","Follow the steps prompted by the installation wizard to select the Plesk version and components that you want to install.","After installation has finished, you can log in to Plesk at the address https://&lt;host-name-or-IP&gt;:8443 using the username &quot;Administrator&quot; and the server administrator's password.","Installation from the Command Line","65780.htm");
Page[10]=new Array("Once you have completed the steps described in the section Before Installing Plesk, you can proceed directly to the Plesk installation.","To install Plesk on Linux or Windows-based servers, use the Plesk Installer utility. The Plesk Installer utility is available for download from http://autoinstall.plesk.com/plesk-installer (for Linux) and http://autoinstall-win.plesk.com/plesk-installer.exe (for Windows).","How to Automate Plesk Installation","The typical manual installation takes a long time when it comes to mass deployment of Plesk, so we recommend that you automate this process. The automatic process is based on using the command line options of the Plesk Installer utility that allow you to predefine all installation parameters. Thus, you can run an installation that does not require any user input. To learn how to run such installations, refer to the section Running Automated Installations.","Moreover, if you are going to perform mass deployment of Plesk for Linux, you can write a script that automatically copies and runs Installer on a specified group of servers. See the script examples in the section Installation Script Examples (Linux). On Windows systems, scripts with the remote commands execution are also possible but require additional tools such as PsExec. Thus, we do not give examples of such scripts for Windows.","Automating Post-Installation Steps","After a typical manual installation is finished, you should log in to Plesk to perform some post-installation operations (initialize Plesk, install a license key, and so on). If you have multiple Plesk installations, this process can be automated as well. If you want to avoid user input in the Plesk interface, the best approach is to perform the same operations either from the command-line interface or with the remote API (also known as XML API). To learn more about how to complete Plesk installation in an automated manner, refer to the corresponding sub-sections of After Installing Plesk.","Speeding Up Automated Installations","Note that you can significantly speed up multiple installations if you create a local mirror of the Plesk updates server. This will allow you to save time and bandwidth, and to secure your installations. Learn how to set up a custom mirror in Appendix C: Mirroring Plesk updates Server.","(Advanced) Automated Installation","70272.htm");
Page[11]=new Array("To install Plesk without requiring any user input, run the command:","plesk-installer &lt;packages source options&gt; --select-release-id &lt;ID&gt; &lt;components installation options&gt; [other options]","where","packages source options define the location where the installer should obtain the Plesk packages for installation. You can use either --source &lt;URL&gt; to specify the URL of a mirror of the Plesk updates server, or --source &lt;path&gt; if the packages are found locally on the file system. If you use neither, the Plesk packages will be retrieved from the Plesk updates server.","--select-release-ID option define what Plesk version should be installed. &lt;ID&gt; is a unique Plesk version identifier, like PANEL_12_0_18.<br>You can get the list of available Plesk version IDs by running Installer with the --show-releases option. Note that by default, Installer shows you only IDs of the publicly released production versions (learn more about Plesk release tiers in the section Before Installing Plesk). If you want to obtain a full list of available Plesk versions including those intended for product preview and testing purposes, add the --skip-branch-filter option.","components installation options define what Plesk components should be installed. You can use either --installation-type Full or --installation-type Typical, or specify individual components for installation with --install-component component1 [--install-component component2 [... [--install-component componentN]]]. You can get the full list of components available for a certain release by running the Installer with the following options: --select-release-id &lt;ID&gt; --show-components.","other options include those that define proxy settings, installation logging and so on. For full details, please refer to the Appendix D: Plesk Installer Options.","Modifying Default Installation Paths (Windows)","Plesk provides extra flexibility for installations on Windows: It lets users modify its default installation paths from command-line. The customization is granted by the --set-option key. The --set-option value should be a &quot;key=value&quot;, where key is a constant that specifies one of the parts of Plesk's data, and the value is the path where you want these data to be located. Currently, the following keys are available:","PLESK_INSTALLDIR. This key designates the part of Plesk data that insignificantly change over time. This includes the application code, configuration files, utilities, and so on.","PLESK_DATADIR. This key designates the part of Plesk data that significantly change over time. This includes customer databases, APS packages, log files, and so on.","PLESK_VHOSTSDIR. This key designates the path where the contents of all your customers' domains will be stored. This is typically the largest part of the Plesk contents.","This sample demonstrates how to use the --set-option key:","plesk-installer.exe --select-product-id panel --select-release-id PANEL_12_0_18_WIN --install-component base --install-component management --install-component spamassassin  --install-component webalizer  --install-component drweb --set-option &quot;PLESK_INSTALLDIR=C:\\Plesk Dir&quot; --set-option &quot;PLESK_DATADIR=C:\\Plesk Data&quot; --set-option &quot;PLESK_VHOSTSDIR=C:\\Plesk Vhosts&quot;","Examples, Linux/Unix","1. The following command installs Plesk 12 (release ID is PANEL_12_0_18) from a mirror set up on the server mirror.example.com available via HTTP. Installation files will temporarily be stored at /tmp/panel, and the installation status will be reported to the email admin@example.com. The installed components are base Plesk packages, PostgreSQL server, and SpamAssassin spam filter.","./plesk-installer --source http://mirror.example.com/ --target /tmp/panel --select-release-id PANEL_12_0_18 --install-component base --install-component postgresql --install-component spamassassin --notify-email admin@example.com","2. The following command performs the complete installation (all available product components are installed) of Plesk 12 (release ID is PANEL_12_0_18) from the Plesk Update server. All installer output will be redirected to an XML file.","./plesk-installer --select-release-id PANEL_12_0_18 --install-everything --enable-xml-output","Examples, Windows","1. The following command installs Plesk 12 (release ID is PANEL_12_0_18_WIN) from a mirror set up on the server mirror.example.com available via HTTP. Installation files will temporarily be stored at the %SystemDrive%\\Parallels\\ folder, and the installation status will be reported to the email admin@example.com. The installed components are base Plesk packages, Bind name server, MailEnable mail server, PHP scripting engine, Presence Builder, and Horde Webmail.","plesk-installer.exe --source http://mirror.example.com/ --target %SystemDrive%\\Parallels --select-release-id PANEL_12_0_18_WIN --install-component base --install-component dns --install-component mailenable --install-component php5 --install-component sitebuilder --install-component webmail --notify-email admin@example.com","2. The following command performs the complete installation (all available product components are installed) of Plesk 12 (release ID is PANEL_12_0_18_WIN) from the Plesk Update server. All installer output will be redirected to an XML file.","plesk-installer.exe --select-release-id PANEL_12_0_18_WIN --install-everything --enable-xml-output","Running Automated Installations","65910.htm");
Page[12]=new Array("This section provides notes on implementation and execution of an installation script, and also presents a couple of installation script samples.","Implementation and Execution Notes","To avoid being prompted for password each time you connect via SSH to the servers where Plesk should be installed, place your public key to the list of authorized keys of a user on whose behalf the script is run on each server (see SSH documentation for details on the procedure).","If you have a local mirror of the Plesk updates server (as described in Appendix C: Mirroring Plesk updates Server), use the following option: ","--source &lt;mirror URL&gt;","By default, all downloaded packages are stored under the /root directory. To use another directory, use the following option:","--target &lt;directory-name&gt;","Example","This script performs a typical installation of the latest Plesk version on the specified servers.","#!/bin/sh","SERVERS_LIST=&quot;node1.example.com node2.example.com&quot;","for current_server in $SERVERS_LIST; do","ssh -f root@$current_server 'wget http://autoinstall.plesk.com/plesk-installer -O - | sh /dev/stdin --source http://autoinstall.plesk.com/ --target /tmp/plesk-installation --select-product-id plesk --select-release-latest --installation-type &quot;Typical&quot; --notify-email admin@example.com'","done","Installation Script Examples (Linux)","65912.htm");
Page[13]=new Array("Virtuozzo is a container-based virtualization solution that is employed by a large number of service providers. Each Virtuozzo container is a separate virtual server that acts exactly like a stand-alone one.","If you want to deploy Plesk on Virtuozzo, we recommend that you follow the workflow:","Create a container.","Install Plesk into the container.<br>Though you can perform a typical manual or automated installation, we recommend that you use Virtuozzo templates for this purpose. A Virtuozzo app template is a package containing everything an app needs to be installed to a server. The main benefit of Virtuozzo templates is that you install an app template to your physical server just once and then add the app from the template to a number of containers simultaneously. ","Clone the container as many times as you need.<br>This step is optional. If you have a number of already created containers where Plesk should be installed, the best option is to deploy Plesk there using a Plesk Virtuozzo template. ","Perform post-installation setup.<br>The post-installation setup for Plesk in a Virtuozzo container is absolutely the same as for other types of installation. It includes Plesk initialization, installation of a license key, and so on. You can either perform it manually or automate the process using the Plesk API. Learn more in the section After Installing Plesk.","Details on how to perform these operations are provided next in this section.","(Advanced) Installation to Virtuozzo","70276.htm");
Page[14]=new Array("Virtuozzo application templates are RPM packages which, when installed on a node, allow easy deployment of an application in as many Containers as required, saving a lot of critical system resources like disk space. You can obtain the Plesk templates at the Plesk website, or download them using the Virtuozzo command-line utility call &quot;vzup2date -z&quot; (Virtuozzo 4 and later) or by means of yum on Virtuozzo.","Versioned and version-free templates","Starting with Plesk 10.4, Odin ships two sets of EZ templates for each Plesk release: major-version templates, and version-free templates. Both provide the same software components, the only difference between them is that template updates are installed when a Container is updated: ","Provider-controlled versioned templates automatically get all the latest updates and upgrades released for the major version of Plesk. ","For example, if the versioned template of Plesk 10 (pp10) is installed in a Container, the vzpkg update &lt;CT_ID&gt; command will update it to the latest released version of Plesk 10.x.x, be it 10.0.1 or 10.1.0.<br>More specifically, versioned templates perform upgrades allowed by a typical Plesk license. This license allows you to perform upgrades within the second major version number. For example, from 10.1 to 10.2, but not from 10.4 to 11.0.","Version-free auto-upgrade templates get all updates and upgrades regardless of the Plesk license key. In other words, such templates automatically update to the last available Plesk version regardless of its number once this version in released. For example, this can be an upgrade from 10.3 to 10.4 or from 10.4 to 11.0. Note that if your Plesk license does not allow complex upgrades, you will need to obtain a new license key after each such upgrade.","For example, if the version-free base template of Plesk (pp) is installed in a Container (for example, 10.x.x), the vzpkg update &lt;CT_ID&gt; command will update it to the latest released version of Plesk x.x.x, be it 10.x.x or 11.x.x.","You can tell versioned templates and version-free ones apart from their names: The name prefix of the first type contains the major version (pp12), while the latter does not contain any version numbers (pp).","Toggling auto-detection of EZ templates","Virtuozzo 4.0 and later versions can discover EZ templates in a container and perform automatic actions depending on the templates. This feature provides opportunities for business automation software (like PBAs) to automatically find products installed in a container and start billing the container owner. ","The discovery algorithm is straightforward: If the system finds all packages included in an EZ template, it considers the template to be installed. The major drawback of this approach is that Plesk 9.x and SMB are very close to each other in terms of packages, so the auto-detection engine can make incorrect decisions. For example, if only one of the applications is present in a container, the system considers that both templates are installed. The most noticeable outcome of this detection problem is that the system fails to update both applications and set proper billing for them.","It is possible to stop the auto-detection if you use the billing automation software or if you want to install tightly bound Odin products. To do this, modify the /etc/vztt/vztt.conf file by setting APP_TEMPLATE_AUTODETECTION=no.","Shipped templates","Since both versioned and version-free sets of templates provide the same components, we will list only the versioned ones for the simplicity sake.","The following EZ templates are shipped for Plesk 12.5:","pp12<br>","The Plesk core template. Contains base components, backup manager, and Presence Builder.","pp12-antivirus<br>","Odin Premium Antivirus.","pp12-bind","BIND DNS server support. If you do not install this template, DNS server will not be installed on Plesk nodes.","pp12-courier-imap","Courier-IMAP server.","pp12-dovecot","Dovecot mail server.","pp12-kav<br>","Kaspersky Antivirus extension.","pp12-mailman<br>","Mailman mailing list manager.","pp12-migration<br>","The Plesk Migration &amp; Transfer Manager, allows transferring hosting data from other Plesk servers and migrating from other hosting platforms.","pp12-mod-cloudflare","CloudFlare Apache module support.","pp12-msmtp","msmtp relay only mail server (SMTP client). Install it if you plan to use external mail servers.","pp12-mysql5.5 ","MySQL 5.5 support. Available only on RHEL 5 and CentOS 5.","pp12-nginx","nginx reverse proxy support.","pp12-panel-addons<br>","The Plesk components: Firewall, VPN and File Server.","pp12-php5","PHP5 support","pp12-php53 ","PHP5.3 support. Available only on RHEL 5 and CentOS 5.","pp12-postfix<br>","Postfix mail server. Alternate to Qmail and msmtp.","pp12-qmail<br>","Qmail mail server. Alternate to Postfix and msmtp.","pp12-spamassassin<br>","SpamAssassin spam filtering tool.","pp12-tomcat<br>","Tomcat support.","pp12-vps-optimized<br>","VPS-optimized configuration. Configures Container to consume the minimum resources. Note that some hosting features will be disabled. For details, refer to the section (Optional) Optimize Plesk for Operation in VPS.","pp12-watchdog<br>","Watchdog system monitoring component.","pp12-webhosting-addons<br>","Hosting features support: mod_bw, MIVA, and perl-Apache-ASP.","pp12-webmail<br>","Horde and Roundcube webmail tools.","Linux Virtuozzo Templates","66140.htm");
Page[15]=new Array("Deploying Plesk in a Virtuozzo containers environment implies the following two stages:","Installing the Plesk application template on a hardware node.","Creating a Container and deploying the application from the template.","For further details on  Virtuozzo containers CLI, or the  Virtuozzo containers API (XML or SOAP) functionality, refer to the Virtuozzo containers developer documentation.","The first stage is performed on each hardware node only once: As soon as an application template is installed on a hardware node, it can be deployed to as many Containers as required. Instead of creating a new Container every time you need to deploy a Container with Plesk, you can clone an existing Container where Plesk is installed, which acts as a sort of Template Container. ","When the template is being installed on a hardware node, the core set of files is deployed, which includes defining of the application packages repository. Then, when the application is installed in a container, Virtuozzo containers communicates with the repository (the default one resides at http://autoinstall.plesk.com), retrieves the application packages, and installs them in the container. The packages are stored in the node cache until it is cleaned up, and then the packages are retrieved from the repository again when the application is installed in the Container.To save time and bandwidth, you may want to use a custom mirror of Plesk repository. For details, see Appendix C: Mirroring Plesk updates Server.","&nbsp;","To install a Plesk template on a Virtuozzo containers hardware node using the vzup2date utility:","Connect to the target Virtuozzo containers hardware node over SSH.","Install the application template by running a command in the following format:","vzup2date -z ","Select the required operating system and application templates and click Next to start installation.","Note: On Virtuozzo (former Cloud Server), the vzup2date utility is deprecated. You should use yum instead.","To install a Plesk template on a Virtuozzo containers hardware node manually:","Obtain the template from the Odin website and upload it to the target Virtuozzo containers hardware node.","Install the application template by running a command in the following format:","rpm -Uvh &lt;absolute path to the template&gt;","For example, the following command installs Qmail:","rpm -Uvh pp11.5-centos-5-x86_64-ez-3.0.0-35.prl.293476.noarch.rpm","To use a custom mirror:","Set up a mirror as explained in the section Appendix C: Mirroring Plesk updates Server.","On the hardware node, edit the file defining the repository URL.","The file for editing is /vz/template/&lt;os&gt;/&lt;os-version&gt;/&lt;platform&gt;/config/app/&lt;app-template-name&gt;/default/repositories. For example: /vz/template/&lt;os&gt;/&lt;os-version&gt;/&lt;platform&gt;/config/app/pp10/default/repositories.","Replace the Plesk updates server URLs with the corresponding ones of your mirror and save the file.","Clean or re-fetch the packages metadata. ","You can do this, for example, with the vzpkg clean command. For details, refer to the Virtuozzo containers for Linux Reference Guide located at http://www.odin.com/support/virtualization-suite/pvc/.","To create a Container and install Plesk to it:","Create a container and configure it. ","Issue the following commands:","vzctl create &lt;CTID&gt; [options]","vzctl set &lt;CTID&gt; &lt;setting_name&gt; &lt;value&gt; [--save]","where","&lt;CTID&gt; defines an arbitrary container ID number higher than 100, which is unique on the hardware node","--save switch tells vzctl whether to save changes into the Container configuration file","Note: For details on the Container creation and configuration options, refer to the Virtuozzo Containers for Linux Reference Guide located at http://www.odin.com/support/virtualization-suite/pvc/.","The commands below do the following:","Create a Container with ID 444 and IP 10.100.1.2, based on the Debian 5 operating system template.","Set a barrier and limit for unswappable kernel memory, private (or potentially private) memory, number of files opened by all Container processes, disk space and the total number of disk inodes (files, directories, symbolic links) a Container can allocate.","Save the barrier/limit values to the Container configuration file.","Enable Power Panel on the vzpp port with the &quot;--offline_management yes --offline_service vzpp&quot; options.","# vzctl create 444 --ostemplate debian-5.0-x86_64","# vzctl set 444 --ipadd 10.100.1.2 --hostname example.com --save","# vzctl set 444 --save --kmemsize 24299200:26429120 --privvmpages 362144:392912 --numfile<br>12000:12000 --diskspace 5117880:5242880 --diskinodes 350000:370000 ","# vzctl set 444 --save --offline_management yes --offline_service vzpp","Important: It is mandatory to use exactly these values for the options to ensure the Plesk compatibility with the Virtuozzo environment.","&nbsp; ","Important: Plesk needs the container to be configured with an IPv4 address in order to work properly.","Start the newly created Container:","# vzctl start &lt;CTID&gt;","Install the Plesk template into the container:","with EZ templates:","vzpkg install &lt;CTID&gt; &lt;ppp_template_name&gt; ...","For example, the following command installs the Plesk base components, BIND DNS server, and Kaspersky Antivirus:","# vzpkg install 444 pp11.5 pp11.5-bind pp11.5-kav","Note: During installation of templates, you must specify the template of the mail server that you want to use. It can be pp12-qmail, pp12-postfix, or pp12-msmtp (if you do not want to install a mail server with Plesk). ","To clone a Container:","Issue a command in the following format:"," vzmlocal -C {CT List}","{CT List} = &lt;source_CTID&gt;:&lt;dst_CTID&gt;[:[&lt;dstCT_private&gt;][:&lt;dstCT_root&gt;]] [...]","You should specify the source Container ID (&lt;source_CTID&gt;) and the destination Container ID (&lt;dst_CTID&gt;). Specifying the destination Container private area path (&lt;dstCT_private&gt;) and root path (&lt;dstCT_root&gt;) is optional allowing you to override the default paths - /vz/private/&lt;dst_CTID&gt; and /vz/root/&lt;dst_CTID&gt;, respectively. For details on the command options, refer to the Virtuozzo Containers for Linux Reference Guide located at  http://www.odin.com/support/virtualization-suite/pvc/.","For example, to clone the Container with Plesk created during the previous procedure, run the following command:","# vzmlocal -C 444:445","Installation on Virtuozzo containers for Linux","65785.htm");
Page[16]=new Array("Virtuozzo application templates are packages which, when installed on a node, allow easy deployment of the application in as many containers as required, saving a lot of critical system resources like disk space. You can obtain Plesk templates at the Plesk website.","Shipped Templates","The following templates are shipped for Plesk 12:","PANEL_12.5.30","The main template, includes the essential set of components:","Base: the Plesk core components, such as Server Administration Panel and Customer Panel, Backup Manager, and so on.","Presence Builder","Migration Manager","SpamAssassin","AWStats, Webalizer","BIND DNS Server","Odin Premium Antivirus 5","FastCGI","MailEnable mail server, Atmail Open, webmail tools","MySQL Client, MySQL ODBC","Microsoft SQL Web Admin, myLittleAdmin, phpMyAdmin","Perl, Python, PHP4, PHP5","Stunnel","Windows Virtuozzo Templates","65788.htm");
Page[17]=new Array("This section covers only the essential steps that must be taken to deploy Plesk inside Virtuozzo containers for Windows. Before proceeding with installation, please familiarize yourself with Virtuozzo containers documentation available at http://www.odin.com/support/virtualization-suite/pvc/.","Deploying Plesk in a Virtuozzo containers environment implies the following two stages:","Installing the Plesk application template on a hardware node.","Creating a Container and deploying the application from the template.","The first stage is performed on each hardware node only once: As soon as an application template is installed on a hardware node, it can be deployed to as many Containers as required.","Instead of creating a new Container every time you need to deploy a Container with Plesk, you can clone an existing Container where Plesk is installed, which acts as a sort of Template Container. ","&nbsp;","Note: If your operating system is Microsoft Windows 2008 and the container offline management is turned on, you can log in to Plesk by visiting https://host-name:8443/ or https://IP-address:8443/ and providing your local administrator credentials, or by visiting http://host-name:8880/ or http://IP-address:8880/ and providing global administrator credentials.","&nbsp;","To install Plesk in Virtuozzo Containers for Windows:","Obtain the Plesk template from the Odin website and upload it to the target Virtuozzo containers hardware node.","Install application templates of Plesk by issuing a command of the following format:","vzpkgdeploy [-q|-v] -i &lt;template-file&gt;","where","-q disables logging to the display and to the log file","-v sets the log level to the maximum possible value for this vzpkgdeploy session","For example,","vzpkgdeploy -i PANEL_10.0.0/20100804.10","&nbsp;","To create a new Container and install Plesk into it:","Create a container and configure it according to your needs. ","Issue the following commands:","vzctl create &lt;CT_ID&gt; --pkgset name [options]","vzctl set &lt;CT_ID&gt; &lt;setting_name&gt; &lt;value&gt; [--save]","where","&lt;CT_ID&gt; defines an arbitrary container ID number higher than 100, which is unique on the hardware node","--pkgset name denotes the operating system template to be used for Container creation","--save switch tells vzctl whether to save changes into the Container configuration file","Note: For details on the Container creation and configuration options, refer to the Virtuozzo containers for Windows Reference Guide located at the Odin website. ","The commands below do the following:","Create a Container with ID 444 and IP 192.0.2.44, based on the OS template w2k3.","Set a disk space limit to 4+ gigabytes, private memory limit to 1 gigabyte and Administrator's password to &quot;P4$$w0rd&quot;.","Enable Power Panel on the vzpp port with the &quot;--offline_management yes --offline_service vzpp&quot; options.","Important: It is mandatory to use exactly these values for the options to ensure the Plesk compatibility with the Virtuozzo environment.","&nbsp;","Important: Plesk needs the container to be configured with an IPv4 address in order to work properly.","vzctl create 444 --pkgset w2k3 --ipadd 192.0.2.44","vzctl set 444 --save --diskspace 4500000 --vprvmem 1024 --userpasswd Administrator:P4$$w0rd","vzctl set 444 --save --offline_management yes --offline_service vzpp","Start the newly created Container:","vzctl start &lt;CT_ID&gt;","Install the Microsoft .NET framework version 2.0 or later into your Container:","vzpkgadd &lt;CT_ID&gt; &lt;dotnet_template_name&gt;","For example,","vzpkgadd 444 dotnet2.0_frmwk-2.0.50727.42/20070613","Install the Plesk template into the Container:","vzpkgadd &lt;CT_ID&gt; &lt;plesk_template_name&gt;","For example,","vzpkgadd 444 PANEL_10.0.0/20100804.10","To clone a Container:","Issue a command in the following format:","vzmlocal -C &lt;CT_List&gt;","&lt;CT_List&gt; = &lt;source_CTID&gt;:&lt;dest_CTID&gt;[:&lt;dest_private&gt;] [options]","You should specify the source Container ID (&lt;source_CTID&gt;) and the destination Container ID (&lt;dest_CTID&gt;). Specifying the destination Container private area path (&lt;dest_private&gt;) is optional; it allows you to override the default path of X:\\vz\\private\\&lt;CT_ID&gt;. For details on the command options, refer to the Virtuozzo Containers for Windows Reference Guide located at the Odin website.","For example, to clone the Container with Plesk created during the previous procedure, issue the following command:","vzmlocal -C 444:445","Installation on Virtuozzo containers for Windows","65786.htm");
Page[18]=new Array("Why Do I Need Plesk Cloning?","The popular and efficient way to start offering Plesk services is to install Plesk in a cloud and then seamlessly scale your infrastructure and install more Plesk instances as your business grows. The challenge in this approach is that it is not possible just to copy the same Plesk again and again to different virtual machines because of the following:","Some clouds constantly change allocated IP addresses pools. If a Plesk service was bound to an IP address which was later removed from the system, the service will not be operable.","Each new Plesk should have unique entities, for example, an SSL certificate, and if you simply keep copying Plesk, all the instances will share the same certificate. ","The Plesk cloning technology solves these and other scaling problems.","What Is Plesk Cloning?","Plesk cloning is the technology of copying the same Plesk instance to different virtual machines without compromising Plesk operability. Two prevailing usage scenarios of the cloning are:","Fast Plesk setup. If you wish to create virtual machines (Amazon Web Services, KVM, Xen, and so on) with Plesk on demand, the easiest way to streamline this process is to create an image of a virtual machine with specifically prepared Plesk and then create machines from this preset as many times as needed.","Full backup. Cloning is a recovery solution too because almost all Plesk data remain in cloned instances. Thus, you can first copy a prepared Plesk to another virtual machine and then start the machine if your original machine becomes inoperable. ","The application scope of Plesk cloning is wider: For example, you can clone Plesk and then safely test new features or configurations on it, but in this section, we will consider only the given scenarios because others are their extensions or combinations.","Cloning and Plesk Licensing","Before you start cloning Plesk, please contact our sales representatives and provide the range of IP addresses within which your Plesk instances will be installed. Our licensing system will activate Plesk servers from this range only.","Preparing a Plesk Instance for Cloning","If you want to use Plesk cloning, start with preparing your Plesk instance for cloning. The following preparatory steps help you reset all environment- and initialization-specific settings (like the IP addresses pool) to prevent copying of unique information to other virtual machines. Omit steps 2 and 3 if your scenario is full backup.  ","(Fast setup, full backup) Instruct Plesk to reconfigure its IP pool after restart. After running the following command, a Plesk instance will discover actual IP addresses and reconfigure its IP pool each time you restart the corresponding virtual machine.","On Linux:","# /usr/local/psa/bin/ipmanage --auto-remap-ip-addresses true","On Windows:","%plesk_cli%\\ipmanage --auto-remap-ip-addresses true","Note: This step is not mandatory if a virtual machine to which you want to copy Plesk uses a static IP address. Moreover, omitting this option will make Plesk start faster because Plesk will not reconfigure its IP pool on each startup. However, we highly recommend to complete this step if you deploy Plesk to a cloud.","(Fast setup only, optional) Initialize the instance programmatically or from the Plesk GUI. Specify the administrator's information, locale, and other initialization settings using the init_conf command-line utility or the Plesk GUI. Read more about the initialization in After Installing Plesk.","(Fast setup only) Prepare Plesk for cloning by resetting some of its data (for example, the administrator's password, see the full list below). For this purpose use the option -prepare-public-image with the true value. Note that this step does not perform cloning, it only modifies Plesk settings.","On Linux:","# /usr/local/psa/bin/cloning --update -prepare-public-image true","On Windows:","%plesk_cli%\\cloning --update -prepare-public-image true","License reset (optional)","During cloning operation you can ask Plesk to remove the license key on the next start. For this purpose use the option -reset-license with the true value. ","On Linux:","# /usr/local/psa/bin/cloning --update -prepare-public-image true -reset-license true","On Windows:","%plesk_cli%\\cloning --update -prepare-public-image true -reset-license true","Preserving the source configuration (optional)","By default, the cloning command resets the customized configuration of the source Plesk instance to default: you may need to additionally configure cloned instances. To preserve the configuration of the source Plesk instance in new instances, use the option -reset-init-conf with the false value. By default, this option is used with the true value and resets the Plesk configuration to default.","To preserve a custom Plesk configuration in images of your Plesk server, use the cloning command with the following options:","On Linux:","# /usr/local/psa/bin/cloning --update -prepare-public-image true -reset-init-conf false","On Windows:","%plesk_cli%\\cloning --update -prepare-public-image true -reset-init-conf false","Disabling updates after cloning (optional)","After the cloned instance is started, updates for current version are checked explicitly and installed if necessary. Installation of updates is working under the same rules as in daily maintenance task. Updates installation can be disabled if option -skip-update true is passed while cloning.","To disable updates in images of your Plesk server, use the cloning command with the following options:","On Linux:","# /usr/local/psa/bin/cloning --update -prepare-public-image true -skip-update true","On Windows:","%plesk_cli%\\cloning --update -prepare-public-image true -skip-update true","Note: When preparing a Plesk instance for cloning, avoid restarting the psa service and shutting down the virtual machine on which the instance is installed.","How to Clone Plesk on Linux","We assume that you have a virtual machine with Plesk and you wish to clone this machine. The cloning procedure consists of three steps:","Prepare the Plesk instance for cloning using the instructions we provided earlier.","Stop (shut down) the virtual machine.","Create a virtual machine image (snapshot) by means of virtual machines management software you use. Refer to the software vendors' documentation for respective instructions.","Once you have the virtual machine image, you can use it as a preset for new virtual machines or as a Plesk snapshot.","How to Clone Plesk on Windows","We assume that you have a virtual machine with Plesk and you wish to clone this machine. The cloning procedure consists of three steps:","Prepare the Plesk instance for cloning using the instructions we provided earlier.","If your software for managing virtual machines supports creating copies of virtual machines, which is normally true, stop (shut down) the virtual machine and create the image copy. Otherwise, if images copying is unavailable, you should use a special shutdown call that resets some instance data and then copy the machine by available means. The shutdown is performed by the following command from the command prompt (Cmd.exe):","sysprep /oobe /generalize /shutdown","Once you have the virtual machine image, use it as a preset for new virtual machines or as a Plesk snapshot.","What Data Are Reset by the cloning Utility?","The following list contains the data items that are reset by the cloning utility:","Remapping of IP addresses","Reset GUIDs for clients, domains, service plans, subscriptions, and other database entities","Reset initial configuration information","Create Panel certificate","Delete SSL certificates (only the default certificate, cloning does not change user-defined certificates)","Regenerate backup signature","Clean up sessions","Reset administrator's password and other passwords. (All passwords are decrypted, new symmetric key generated, and passwords encrypted again with new key).","Reset last check for update time","(Optionally) Reset License key","The rest of the data remain intact.","(Advanced) Cloning Plesk in Virtual Environment","70621.htm");
Page[19]=new Array("To simplify Plesk provisioning in the Cloud for infrastructure providers (including service providers offering dedicated servers, VPS, or IaaS), Plesk provides AMIs (Amazon Machine Images) for deploying on the Amazon EC2 web service (for details, refer to https://aws.amazon.com/ec2/?nc1=h_ls). Each AMI allows deploying a particular instance of Plesk 12.5 optimized for specific needs.","Plesk 12.5 AMIs are shipped in five editions and are available for both Linux and Windows. The provided AMIs are listed below. ","Image name","License and OS version","Plesk 12.5 for Linux Web Hosting with WordPress Toolkit (CentOS 7)","Plesk Web Host Edition on CentOS 7","Plesk 12.5 for Linux Web Hosting with WordPress Toolkit&nbsp;(Ubuntu 14)","Plesk Web Host Edition on Ubuntu 14.04","Plesk 12.5 for Linux Web Hosting with WordPress Toolkit and Security Bundle (CentOS 7)","Plesk Web Host Edition on CentOS 7 + Kaspersky Antivirus + Security Core Complete","Plesk 12.5 for Linux Web Hosting with WordPress Toolkit and Security Bundle (Ubuntu 14)","Plesk Web Host Edition on Ubuntu 14.04 + Kaspersky Antivirus + Security Core Complete","Plesk 12.5 for WordPress Hosting (CentOS 7)","Plesk Web Admin Edition on CentOS 7 + WordPress Toolkit","Plesk 12.5 for WordPress Hosting (Ubuntu 14)","Plesk Web Admin Edition on Ubuntu 14.04 + WordPress Toolkit","Plesk 12.5 for Developers with App Security (CentOS 7)","Plesk Web App Edition on CentOS 7 + Security Core Complete.","Plesk 12.5 for Developers with App Security (Ubuntu 14)","Plesk Web App Edition on Ubuntu 14.04 + Security Core Complete","Plesk 12.5 'Bring Your Own License' (CentOS 7)","Plesk 12.5 on CentOS 7 with no license","Plesk 12.5 'Bring Your Own License' (Ubuntu 14)","Plesk 12.5 on Ubuntu 14.04 with no license","Plesk for DNN Hosting","Plesk Web Admin Edition on Windows + Control Suite","Plesk 12.5 'Bring Your Own License'&nbsp;(Windows)","Plesk 12.5 on Windows&nbsp; with no license","Note:&nbsp;The 'Bring Your Own License' (BYOL) instance of Plesk 12.5 allows you to purchase your own license directly from the&nbsp;Plesk Online Store&nbsp;or from&nbsp;a Plesk reseller. Plesk 12.5 licenses are available for two platform types: for dedicated servers and for VPSes. You can use either with your Plesk installed on an Amazon EC2 VPS.","More information about Plesk 12 editions can be found in the following Knowledge Base article:&nbsp;Plesk 12 available editions and differences between them.","(Advanced) Deployment on Amazon EC2","75778.htm");
Page[20]=new Array("To deploy Plesk 12.5 from an AMI, perform the following steps:","Log in to the AWS Marketplace, search for the AMI with&nbsp;Parallels&nbsp;as the publisher, then click the selected product.","Check the product description to make sure that it suits your needs, and click the Continue button.","You can choose one of two tabs: Manual Launch&nbsp;with EC2 console or 1-Click Launch. The 1-Click Launch&nbsp;uses the predefined settings (this&nbsp;option does not allow you to modify the default storage size and type when creating the instance: 10 GB magnetic storage for a Linux AMI, and 30 GB magnetic storage for a Windows AMI. To change the disk storage size after deployment, see the Amazon AWS documentation:&nbsp;Expanding the Storage Space of a Volume).","If you select 1-Click Launch (predefined settings):","In the Region menu, select the region in which to deploy the instance. Select EC2 Instance Type, depending on your needs (Note: the price can differ for different regions).","In VPC settings, select where your instance will be deployed: EC2 classic&nbsp;(recommended),&nbsp;or your personal Virtual Private Cloud (VPC). If you select a VPC network, please make sure that your virtual network is configured to provide internet access to the instance being deployed. For example, enable the Auto-assign Public IP option in the instance details settings.  The main differences between EC2-classic and VPC are described here:&nbsp;Amazon EC2 and Amazon Virtual Private Cloud (VPC). ","In Security Group, select the default options, or create a new Security Group based on seller settings. Pay special attention to the ports that are required for Plesk - see the Knowledge Base article&nbsp;Which ports need to be opened for all Plesk services to work with a firewall?.","Select the Key Pair to be used for connecting to the instance (an existing Key Pair is required to connect to the Plesk instance). A Key Pair can be generated in the&nbsp;AWS Management Console.","Click the&nbsp;Accept Terms &amp; Launch with 1-Click&nbsp;button.","Note: By default, instances are deployed with a small root storage (10 GB on Linux and 30 GB on Windows). To deploy instances with larger storage, use&nbsp;Manual Launch&nbsp;with EC2 console. To learn how to change the disk storage size after deployment, check the Amazon AWS documentation:&nbsp;Expanding the Storage Space of a Volume.","If you select Manual Launch&nbsp;with EC2 console (adjust additional settings, such as disk space, before launch):","Select the&nbsp;Manual Launch&nbsp;tab.","In the Region section, click the&nbsp;Launch with EC2 Console&nbsp;button for the region in which the instance is to be deployed.","In the EC2 Console, choose an Instance Type corresponding to your requirements, and click the&nbsp;Next: Configure Instance Details&nbsp;button.","Set instance details. Here, you can select how many instances to deploy, and select a Network (EC2-classic or VPC). If the VPC network is selected, please make sure that your virtual network is configured to provide internet access to the instance being deployed. For example, enable the Auto-assign Public IP option in the instance details settings. The main differences between EC2-classic and VPC are described here:&nbsp;Amazon EC2 and Amazon Virtual Private Cloud (VPC). ","Change other options if required, and click&nbsp;Next: Add Storage.","Increase storage size of your instance. By default, AMIs on Linux have 10 GB storage, and AMIs on Windows have 30 GB storage (which is the minimum value). It is recommended that you increase your disk storage size to be greater than the default values - your disk will be automatically resized when the instance is deployed. To learn how to change the disk storage size after deployment, check the Amazon AWS documentation:&nbsp;Expanding the Storage Space of a Volume. You can also add more storage to your instance, and change the storage volume types to increase performance. Find more information about storage types and pricing in the Amazon AWS documentaion:&nbsp;Amazon EBS Product Details. Click&nbsp;Next: Tag Instance.","Add Tags for the instance. For example, you can define a tag with key = Name and value = Webserver. Learn more&nbsp;about tagging your Amazon EC2 resources in the Amazon documentation: Tagging Your Amazon EC2 Resources. Click&nbsp;Next: Configure Security Group.","Configure the security group. A security group is a set of firewall rules that controls the traffic to and from your instance. It is recommended that you configure the security group depending on the services you are going to provide, based on the information in the Knowledge Base article Which ports need to be opened for all Plesk services to work with a firewall?. Click&nbsp;Next: Review Instance Launch.","Review your instance launch details. You can go back to make changes, or click&nbsp;Launch&nbsp;to assign a key pair to your instance and complete the launch process.","When the instance is deployed, click the&nbsp;Visit Your Software&nbsp;link. The page with your subscription will be opened.","Select&nbsp;Manage in the AWS console. In the AWS Management Console, open your instances list (using the Instances link in the left menu) and select the instance.","It is recommended to attach your Elastic IP to the instance. In the left menu, select&nbsp;Elastic IPs&nbsp;and&nbsp;Allocate New Address, or select any existing unassociated address to be associated to your instance. After the Elastic IP attachment, reboot the instance and perform additional actions to configure Plesk (see the Changing IP Address section). Learn more about Elastic IP in the Amazon AWS documentation:&nbsp;Elastic IP Addresses","To get your Plesk instance admin password:","On Linux","Log in via SSH as the EC2-user using the private key of the Key Pair you deployed the instance with.","For CentOS, use the following command:","$ ssh -i &lt;path to private key&gt; ec2-user@&lt;elastic or public IP&gt;","For Ubuntu, use the following command:","$ ssh -i &lt;path to private key&gt; ubuntu@&lt;elastic or public IP&gt;","And then run the following command:","$ sudo plesk bin admin --show-password","On Windows","Log in via the remote desktop as the Administrator user with the password taken from the AWS console with the Get Windows Password action. Then, run this command in the command line or or powershell:","c:\\&gt; plesk bin admin --show-password","Log in to Plesk at&nbsp;https://&lt;public IP&gt;:8443&nbsp;using the login &quot;admin&quot; and the password you just retrieved.","Configure your server's IP address - there is an autodetected private IP address in the configuration form.&nbsp;","Note: Never add your public IP to your Plesk instance - only private IP addresses must be registered in Plesk. You can assign a public IP later, on the  Tools &amp; Settings &gt; IP Addresses page (it is done automatically on Windows instances). For details, refer to the Administrator's Guide.","In Plesk 12.5&nbsp;&quot;Bring Your Own License&quot;,&nbsp;&quot;Web Host&quot;, and&nbsp;&quot;Web Pro&quot;&nbsp;editions, there is an option to mark the private IP as either dedicated or shared. The private IP should be shared if you want to host different customers in Plesk (this can be changed later in&nbsp;Tools &amp; Settings&nbsp;&gt;&nbsp;IP Addresses).","Specify a hostname. We recommend that you use a domain name that you control, or one controlled by the Amazon instance's Public DNS that will be constant in the case of an Elastic IP.","Note: Some spam filters (including the default Plesk Greylisting tool) treat mail auto-generated by Amazon hostnames as spam.","Change your password.","If you chose the&nbsp;&quot;Bring Your Own License&quot;&nbsp;edition, activate the license of the Plesk instance as described in the&nbsp;Install a License Key chapter.","(Recommended) For Linux AMI, switch the server to serve any subdomain's DNS records in separate DNS zones for every subdomain. Run the command:<br>plesk bin server_pref -u -subdomain-dns-zone own","(Recommended) For correct work of site preview on Plesk 12.5 for Linux AMI, register the Public IP of the instance as the Plesk public IP. This can be done by two ways:","Go to Tools &amp; Settings &gt; IP Addresses, click the IP of the instance and fill the Public IP field.","Run the command:<br>plesk bin ipmanage -u `curl http://169.254.169.254/latest/meta-data/local-ipv4` -public-ip `curl http://169.254.169.254/latest/meta-data/public-ipv4`","Steps to Deploy","75778.htm#o75783");
Page[21]=new Array("After every stop/start, your instance changes the public and private IP addresses pair. As a result, you need to perform some additional steps. These steps must also be performed after assigning a new Elastic IP to a configured Plesk instance, but this requires an additional instance restart. For Plesk to operate correctly, all services must be configured to use the private IP, and all A-type DNS records pointing to the local services should point to the public IP.","Steps on Linux","Connect to the instance via SSH as the EC2-user.","If this is the initial IP configuration (for example, after associating an Elastic IP and rebooting) and there are no domains in Plesk yet, run the following command:","$ sudo /usr/local/psa/bin/amazon_install_dns_template `curl http://169.254.169.254/latest/meta-data/public-ipv4`","If the IP was changed for a Plesk instance that already hosts domains:","Log in to Plesk and go to&nbsp;Tools &amp; Setting &gt; General Settings &gt; DNS Template.","Change all A-type DNS records in the server-wide DNS template pointing to the old public IP to the new public IP and synchronize the changes to all zones by clicking&nbsp;Apply DNS Template Changes&nbsp;and selecting&nbsp;Apply the changes to all zones. Keep in mind that all unchanged&nbsp;PTR&nbsp;and&nbsp;A-type DNS records that point to the old public IP in all DNS zones will be changed to the new public IP.","You can find additional details on the DNS Template synchronization procedure in the Administrator's Guide: DNS Template.","Reconfigure all public DNS servers used by the hosted domains to match the machine's new public IP address.","If a public IP was configured for Plesk IP, it should be modified after the IP change. This can be done by the following ways:","Change public IP to the new AWS Public (Elastic) IP in Tools &amp; Settings &gt; IP Addresses.","Run the command:<br>plesk bin ipmanage -u `curl http://169.254.169.254/latest/meta-data/local-ipv4` -public-ip `curl http://169.254.169.254/latest/meta-data/public-ipv4`","Steps on Windows","In AMIs&nbsp;with Plesk 12.5, automatic reconfiguration of the public IP addresses is enabled by default. It means that you do not need to make any changes after the IP address change except the instance restart. Just make sure that the Plesk public IP has been changed to the new AWS Public (Elastic) IP in&nbsp;Tools &amp; Settings&nbsp;&gt;&nbsp;IP Addresses.","Changing IP address","75778.htm#o75792");
Page[22]=new Array("A number of actions are performed automatically when an instance is deployed, stopped, started, or restarted. You can disable these actions if necessary.","On Linux","After an instance deployment, the following actions are performed automatically:","The license key is retrieved (for non-BYOL instances). The step requires the instance to have an internet connection.","Proftpd is configured to work behind NAT by setting up MasqueradeAddress to Amazon Public IP and adding PassivePorts range (60000-65535). The following command is run: <br>/usr/local/psa/bin/amazon_setup_ip `curl http://169.254.169.254/latest/meta-data/public-ipv4`","All A and PTR records in the server-wide DNS template are configured to use the instance's Public IP. The following command is run:<br>/usr/local/psa/bin/amazon_install_dns_template `curl&nbsp;http://169.254.169.254/latest/meta-data/public-ipv4`","The latest Plesk updates are installed.","After an instance stop/start/restart, the following actions are performed automatically:","Proftpd is configured to work behind NAT by setting up MasqueradeAddress to Amazon Public IP and adding PassivePorts range (60000-65535). The following command is run: <br>/usr/local/psa/bin/amazon_setup_ip `curlhttp://169.254.169.254/latest/meta-data/public-ipv4`","To disable there reconfigurations, rename the /etc/rc.local file to /etc/rc.local.bak.","On Windows","After an instance deployment, the following actions are performed automatically:","The license key is retrieved (for non-BYOL instances).&nbsp;The step requires the instance to have an internet connection.","The default IIS firewall settings are configured to serve requests to the Amazon Public IP address (siteDefaults.ftpServer.firewallSupport.externalIp4Address) and allowed ports range (60000-65535). The following command is run to configure Plesk's Public IP feature to use the AWS Public IP:<br>&quot;%plesk_bin%\\amazon\\amazon_repair_ip.cmd&quot;","The latest Plesk updates are installed.","After an instance stop/start/restart, the following actions are performed automatically:","The default IIS firewall settings are configured to serve requests to the Amazon Public IP address&nbsp;(siteDefaults.ftpServer.firewallSupport.externalIp4Address) and allowed ports range (60000-65535). Plesk's Public IP feature is reconfigured&nbsp;to use the AWS Public IP. All DNS A and PTR records in all existing DNS zones are changed to point to the old Public IP to the new Public IP. Command:<br>&quot;%plesk_bin%\\amazon\\amazon_setup_ip.cmd","To disable these reconfigurations, disable the scheduled task Prepare public IP.","How it works","75778.htm#o75794");
Page[23]=new Array("Upgrade a Plesk EC2 instance from previous version to Plesk 12.5","If you have already deployed a Plesk instance based on an AMI of a previous version and want to upgrade to Plesk 12.5:","Upgrade your Plesk as described in the&nbsp;Upgrading Plesk chapter.","Use the utilities described below:","On Linux","Download the archive&nbsp;ami_linux_utils.zip&nbsp;and unpack its contents to&nbsp;/usr/local/psa/bin/.","Replace /etc/rc.local content with the following:&nbsp;","#!/bin/sh","#","# This script will be executed *after* all the other init scripts.","# You can put your own initialization stuff in here if you don't","# want to do the full Sys V style init stuff.","touch /var/lock/subsys/local","&nbsp;","main()","{","    date","    local amazon_public_ip=`curl http://169.254.169.254/latest/meta-data/public-ipv4`","    if [ -n &quot;$amazon_public_ip&quot; ]; then","        bash /usr/local/psa/bin/amazon_setup_ip $amazon_public_ip","    fi","}","&nbsp;","main &gt;&gt; /var/log/plesk/amazon_setup.log 2&gt;&amp;1","&nbsp;","On Windows","Download the archive&nbsp;ami_win_utils.zip&nbsp;and unpack its contents to&nbsp;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\amazon.","Import the scheduled task Prepare public IP.xml from the archive.&nbsp;","Edit the server's DNS template and replace all IP addresses in the A records pointing to the current public IP with the &lt;ip&gt; placeholder (or click Restore Defaults if you made no customizations to the DNS template).","Go to Tools &amp;Settings &gt; IP Addresses and set the current Amazon Public IP as public IP for the local IP listed in the interface. Alternatively, run the following command:&nbsp;<br>%plesk_bin%\\ipmanage.exe -u &quot;[local IP listed on interface]&quot; -public_ip &quot;[Amazon Public IP]&quot;<br>(Here [local IP listed on interface] and [Amazon Public IP] should be changed to the corresponding IP addresses.)","This will enable automatic&nbsp;public IP&nbsp;reconfiguration (for more details, see the How it works section). To disable this reconfiguration, disable the imported scheduled task Prepare public IP. If your Plesk is not configured or its IP address has been changed, refer to the Changing IP address section above.","Plesk transfer to Amazon EC2 instance","To transfer your Plesk server to or from an Amazon instance deployed from a Plesk AMI, follow the instructions provided in the Knowledge Base article How to migrate domains which use custom DNS templates.","Upgrade or Transfer","75778.htm#o75795");
Page[24]=new Array("Troubleshooting","If an AMI of a non-BYOL Plesk edition is deployed, and Plesk shows a message saying that some functions are not accessible due to license limitations, it may mean a failure of license update on the image deployment.<br>Symptom: check the /var/log/plesk/amazon_setup.log file (on Linux) or the %plesk_bin%\\amazon\\amazon_prepare_instance.log file (on Windows) for errors like the following:","[2015-09-17 06:31:31] ERR [panel] Failed to update key. Attempt: 1","[2015-09-17 06:32:32] ERR [panel] Failed to update key. Attempt: 2","[2015-09-17 06:33:34] ERR [panel] Failed to update key. Attempt: 3","[2015-09-17 06:34:35] ERR [panel] Failed to update key. Attempt: 4","[2015-09-17 06:35:37] ERR [panel] Failed to update key. Attempt: 5","exit status 1","or the error like:","ERROR: bad arguments (Customizations.php:30)","Solution: check your network environment and accessibility of&nbsp;ka.plesk.com and&nbsp;autoinstall.plesk.com, and redeploy the instance.","If one or more services are not available&nbsp;after an IP address change,&nbsp;try to restart the instance or to manually run the reconfiguration scripts:","Linux: # bash /etc/rc.local","Windows:&nbsp;&quot;%plesk_bin%\\amazon\\amazon_setup_ip.cmd&quot;&nbsp;","Known Issues and Limitations","Plesk 12.5 AMIs are intended to be used on instances with direct access to the Internet, and can be launched in EC2 Classic network or in VPC if the instance with Plesk is the internet gateway for the VPC network (public IP can be returned with the following request:&nbsp;curl&nbsp;http://169.254.169.254/latest/meta-data/public-ipv4). Otherwise, Plesk AMI automatic customizations must be disabled and performed manually for the public IP of network's internet gateway (see the&nbsp;How it works&nbsp;section). In addition, a port redirection for used services must be configured on the network's Internet Gateway to make Plesk services&nbsp;accessible from the Internet (the complete list of ports used by Plesk can be found in the Knowledge Base article&nbsp;Which ports need to be opened for all Plesk services to work with a firewall?).","An instance restart is required every time an Elastic IP is attached to the instance, even if the same Elastic IP had been attached to the instance before the instance stopped.","Site preview does not work on Plesk 12.5 for Linux AMI unless the Public IP of the&nbsp;instance is registered as the Plesk public IP. To do this, in&nbsp;Tool &amp; Settings&nbsp;&gt;&nbsp;IP Addresses&nbsp;click the registered IP Address and setup Public IP for IP. Alternatively, use the following command:<br># plesk bin ipmanage --update `plesk db &quot;select ip_address from IP_Addresses&quot; | grep -E -o &quot;([0-9]{1,3}[\\.]){3}[0-9]{1,3}&quot;` -public_ip `curl http://169.254.169.254/latest/meta-data/public-ipv4`","The Tomcat component is not shipped with the AMIs.","Some spam filters (including the default Plesk Greylisting tool) treat mail auto-generated by Amazon hostnames as spam. Therefore, you may need to change the hostname.","After deploying Plesk 12.5 AMI instances for Windows, the Windows Update service is disabled. It is recommended to perform all necessary Windows updates manually after deployment&nbsp;and to turn on automatic updates.","Troubleshooting and Limitations","75778.htm#o75802");
Page[25]=new Array("The post-installation setup is an obligatory sequence of steps that is required to prepare Plesk for work. As well as the installation, this setup can be performed either manually (the administrator should do it through the GUI) or automatically in an unattended manner. The manual type of setup should be performed in the case of a single Plesk deployment. The automated setup is recommended for multiple Plesk deployments as this can save significant time.","There are only two obligatory post-installation steps: Plesk initialization and installation of a license key. All other steps described in this section are optional.","After Installing Plesk","70283.htm");
Page[26]=new Array("The Plesk initialization - also known as initial configuration - is the first thing you need to do in Plesk after installing it. Until Plesk is initialized, any other operations are prohibited. Initialization sets the Plesk administrator's password, email, and contact information.","To initialize Plesk:","Log in to Plesk at https://&lt;host-name-or-IP&gt;:8443 using the server power user (root on Linux, Administrator on Windows) credentials.","Specify email, new password, contact info and click OK.","&nbsp;&nbsp;&nbsp;","(Advanced) To initialize Plesk via XML API:","Send to the server a request packet that satisfies the following conditions:","The server power user credentials are specified as the HTTP_AUTH_LOGIN and HTTP_AUTH_PASSWD values in HTTP header of the packet.","The packet content is as follows:","&lt;packet&gt;","&lt;server&gt;","&lt;initial_setup&gt;","&nbsp; &nbsp;&lt;admin&gt;","&nbsp; &nbsp; &nbsp; &lt;admin_cname&gt;JohnDoe BV.&lt;/admin_cname&gt;","&nbsp; &nbsp; &nbsp; &lt;admin_pname&gt;John Doe&lt;/admin_pname&gt;","&nbsp; &nbsp; &nbsp; &lt;admin_phone&gt;+49 89333333&lt;/admin_phone&gt;","&nbsp; &nbsp; &nbsp; &lt;admin_fax&gt;+49 893333303&lt;/admin_fax&gt;","&nbsp; &nbsp; &nbsp; &lt;admin_email&gt;john@example.com&lt;/admin_email&gt;","&nbsp; &nbsp; &nbsp; &lt;admin_address&gt;Theatinerstrasse 96&lt;/admin_address&gt;","&nbsp; &nbsp; &nbsp; &lt;admin_city&gt;Muenchen&lt;/admin_city&gt;","&nbsp; &nbsp; &nbsp; &lt;admin_state&gt;Bavaria&lt;/admin_state&gt;","&nbsp; &nbsp; &nbsp; &lt;admin_pcode&gt;80333&lt;/admin_pcode&gt;","&nbsp; &nbsp; &nbsp; &lt;admin_country&gt;DE&lt;/admin_country&gt;","&nbsp; &nbsp; &nbsp; &lt;send_announce&gt;true&lt;/send_announce&gt;","&nbsp; &nbsp;&lt;/admin&gt;","&nbsp; &nbsp;&lt;password&gt;Qwerty1234&lt;/password&gt;","&nbsp; &nbsp;&lt;server_name&gt;example.com&lt;/server_name&gt;","&lt;/initial_setup&gt;","&lt;/server&gt;","&lt;/packet&gt;","&nbsp;&nbsp;&nbsp;","(Advanced) To initialize Plesk via CLI:","Run the following command (you should have the superuser privileges on Linux and power user privileges on Windows):","On Linux/Unix:","/usr/local/psa/bin/init_conf --init -passwd jskekekHTD -email johndoe@example.com","On Windows:","%plesk_cli%\\init_conf.exe --init -passwd jskekekHTD -email johndoe@example.com","Initialize Plesk","70286.htm");
Page[27]=new Array("Right after the installation, Plesk uses a trial license key. To get a new license key, proceed to the Plesk online store (shop.plesk.com) where you can select and purchase a necessary license key. ","Once you purchase the key, you will receive an activation email with your activation code and a license key file. You can install a Plesk license key either by entering the activation code or by uploading the file from this email. ","To install a license key using an activation code:","Go to Tools &amp; Settings &gt; License Management &gt; Plesk License Key and click Install Key. ","Enter the code you received in the email to the Enter an activation code field and click OK. ","To install a license key using a license key file:","Go to Tools &amp; Settings &gt; License Management &gt; Plesk License Key and click Install Key. ","Choose Upload a license key file.","Specify the path to the key file you received in the email and click OK.","If you experience any problems, please contact sales@plesk.com.","(Advanced) To install a license key through the command-line interface:","license &lt;--install|-i&gt; &lt;path-to-key-file | activation-code&gt;","For example, ","On Linux using a key file:","./license -i /tmp/pp11.5key.xml","On Linux using an activation code:","./license -i AB1C23-4DEF56-7GHI89-JK1L23-MNP456","On Windows using a key file:","license.exe -i &quot;D:\\keys\\pp11.5key.xml&quot;","On Windows using an activation code:","license.exe -i AB1C23-4DEF56-7GHI89-JK1L23-MNP456","Install a License Key","70287.htm");
Page[28]=new Array("Right after installation, you can choose what Plesk view to use, depending on what tasks the prospective Plesk administrator is going to accomplish. The following views are available to choose from: Service Provider and Power User. The first view, Service Provider, is the best for reselling hosting accounts. In this view, you are able to manage service plans, subscriptions, and customer accounts. Power User view is convenient when you use Plesk for personal purposes (run a portal, a mail server, and so on).","Power User view has a subtype, Custom View, which allows you to simplify the GUI by hiding the tools that may seem too complex for inexperienced administrators. In addition, you can prohibit such administrators to switch Plesk back to Power User view or make any changes in Custom view settings. In terms of Plesk, this is called to lock Custom view.","To define administrator permissions in Custom view and the list of available Plesk tools, use the admin utility. Learn more about the utility options in Reference for Command Line Utilities (for Windows or for Linux).","Note: To switch from Service Provider to Power User, Plesk should not have customer or reseller accounts.","For more information on Plesk views, see Administrator's Guide, section The Plesk GUI.","To switch Plesk to Power User view via Plesk command line utility:","On Linux systems, run the command:","/usr/local/psa/bin/poweruser --on -ip &lt;ip-address&gt; -domain &lt;domain_name&gt;","On Windows systems, run the command:","&quot;%plesk_dir%\\bin\\poweruser.exe&quot; --on -ip &lt;ip-address&gt; -domain &lt;domain_name&gt;","where ","&lt;ip-address&gt; is the IP address allocated to administrator's default hosting account. This option is required in case there are no subscriptions belonging to administrator.","&lt;domain_name&gt; is the domain  name to be linked to the specified IP address. If the -domain option is not specified, the server's host name will be used. The option makes sense only when used together with the -ip option.","To switch Plesk in Power User view to Custom view and lock it via Plesk command line utility:","On Linux systems, run the command:","/usr/local/psa/bin/poweruser --on -simple true -lock true","On Windows systems, run the command:","&quot;%plesk_dir%\\bin\\poweruser.exe&quot; --on -simple true -lock true","If you do not want to lock Custom view, do not use the -lock option.","To switch Plesk to Service Provider view via the command line utility:","On Linux systems, run the command:","/usr/local/psa/bin/poweruser --off","On Windows systems, run the command:","&quot;%plesk_dir%\\bin\\poweruser.exe&quot; --off","For details, see the section Using Command Line Utilities &gt; Power User View: poweruser Utility of the Reference for Command Line Utilities.","To switch Plesk to Power User view through XML API: ","Send the following request packet to the server:","&lt;packet&gt;","&lt;server&gt;","&lt;set&gt;","&lt;mode&gt;poweruser&lt;/mode&gt;","&lt;/set&gt;","&lt;/server&gt;","&lt;/packet&gt;","Note that the  poweruser command of XML API does not create a default webspace. To be able to switch Plesk to the Power User view through XML API, create the default webspace first.","To switch Plesk back to Service Provider view through XML API:","Send the following request packet to the server:","&lt;packet&gt;","&lt;server&gt;","&lt;set&gt;","&lt;mode&gt;standard&lt;/mode&gt;","&lt;/set&gt;","&lt;/server&gt;","&lt;/packet&gt;","For details, see the section Reference &gt; Managing Plesk Server of XML API Manual.","(Optional) Define Plesk View","65886.htm");
Page[29]=new Array("When Plesk is installed, a random password is generated for the user admin, which replaces the old scheme when the same default password was used on all installations. This change was done to protect servers with freshly installed Plesk from hacking by bots that use the default password.","After the installation is finished, you can set the administrator's password being authenticated in Plesk with credentials of the system power user, which is &quot;root&quot; on Linux systems, and &quot;Administrator&quot; on Windows systems. Such authentication with administrator's system account works in both cases of logging in to the Plesk GUI and using XML API.","The admin's password can be set up during the Plesk initialization (this is the best way) or afterwards.","Specify Password During the Plesk Initialization","Setting up administrator's password is an essential part of the Plesk initialization. For details on setting up the password during the Plesk initialization, refer to the section Initialize Plesk.","In case your Plesk instance has already been initialized, refer to the following section for instructions on how to set up the administrator's password.","Specify Password After the Plesk Initialization","In case your Plesk instance has already been initialized, it is still possible to set the administrator's password being authenticated as the server power user.","To set up the administrator's password using XML API:","Send to the server a request packet satisfying the following conditions:","The server power user credentials specified as the HTTP_AUTH_LOGIN and HTTP_AUTH_PASSWD values in HTTP header of the packet.","The packet content is as follows:","&lt;packet&gt;","  &lt;server&gt;","    &lt;set&gt;","      &lt;password&gt;gogo4ward&lt;/password&gt;","    &lt;/set&gt;","  &lt;/server&gt;","&lt;/packet&gt;","To set up the administrator's password using CLI:","Issue the following command (you should have the power user privileges):","On Linux/Unix:","PSA_PASSWORD=&lt;new_password&gt; /usr/local/psa/bin/init_conf --set-admin-password -passwd &quot;","On Windows:","%plesk_cli%\\init_conf.exe --set-admin-password -passwd &lt;new_password&gt;","To set up the administrator's password using GUI if you do not know the current administrator's password:","Log in to Plesk using the server power user credentials.","If you have at least one own subscription, skip this step. Otherwise, create a subscription:","In the left frame, click Hosting Services &gt; Subscriptions.","Click Add Subscription.","Specify a domain name and subscription info and click OK.","Go to the Control Panel: click the Control Panel link next to your subscription.","Go to the Users tab.","Click the 'Admin' link in the list of user account.","Under Plesk Preferences, type in the new password, confirm it, and click OK.","(Optional) Specify Administrator's Password","66127.htm");
Page[30]=new Array("To change the default en-US locale:","Log in to the Plesk server via SSH.","Change the locale by running the utility:","On Linux:","/usr/local/psa/bin/admin --update -locale en-US","On Windows:","%plesk_cli%\\admin --update -locale en-US","(Optional) Set Up Plesk Locale","66133.htm");
Page[31]=new Array("If you deploy Plesk in Virtuozzo for Linux, consider switching Plesk to a special mode of operation - optimized for virtual environments. The mode switches off InnoDB engine in MySQL database server, and Apache web server modules that are not critical for hosting services. This makes Plesk use less memory than other control panels available on the market, which ensures better utilization of hardware resources and increased density of virtual environments per server.","The only disadvantages of using the optimized mode are as follows:","Web applications requiring InnoDB will not work.","Perl, python and ASP scripts will not work because the required Apache modules will be switched off (see the list below).","PHP will be available only through CGI.","Note: The optimized mode can be switched on only on the clean Plesk installations. It is not applicable to the Plesk installations upgraded from earlier versions.","To switch to the VPS-optimized mode:","Install the pp12-vps-optimized EZ template. The template applies the necessary configuration.","Important: The optimized mode can only be enabled on fresh installations of Plesk which have not yet been initialized, or, in other words, have not undergone the initial configuration. ","If you need to switch Plesk back to the normal mode of operation, perform the following steps:","Switch on the InnoDB engine.","Open for editing the file /etc/my.cnf.","Locate the lines containing entries skip-innodb and remove them, or comment them out. ","Save the file.","Restart MySQL server.","Switch on the required Apache modules.","On Debian Linux, use the a2enmod utility to switch on all required modules. For example, if you want to switch on the PHP module, issue the following command:","a2enmod php5","On other distributions of Linux, edit the main Apache configuration file, which, in most Linux installations, is located in /etc/httpd/conf/.","Open for editing the file /etc/httpd/conf/httpd.conf.","Locate the lines LoadModule &lt;module_name&gt; corresponding to the modules that you want to switch on, and uncomment the lines.","Save the file.","Restart Apache.","Switch Plesk back to normal operation mode by issuing the following SQL query:","mysql -uadmin -p`cat /etc/psa/.psa.shadow` psa -e &quot;update misc set val='0' where param='vps_optimized_mode_status';&quot;","Apache Modules Switched Off in VPS-Optimized Mode","The following Apache modules are switched off in the optimized mode:","authn_alias","authn_anon","authn_dbm","authn_default","authz_user","authz_owner","authz_groupfile","authz_dbm","authz_default","ldap","authnz_ldap","ext_filter","mime_magic","deflate","usertrack","dav_fs","vhost_alias","speling","proxy_balancer","cache","disk_cache","file_cache","mem_cache","version","asis","bw","proxy_ajp","auth_ldap","perl","python","php5","php4","The list of the modules can vary depending on the operating system distribution and architecture. When Plesk is installed and the optimized mode is switched on, you can check the list in the following files:","On 32-bit operating systems - /usr/lib/plesk-12.0/vps_optimized_aspects/apache-modules-all","On 64-bit operating systems - /usr/lib64/plesk-12.0/vps_optimized_aspects/apache-modules-all","(Optional) Optimize Plesk for Operation in VPS","67072.htm");
Page[32]=new Array("When Plesk is installed to Virtuozzo, administrators refer to Plesk when performing web hosting operations and to Plesk Power Panel (PPP) when managing their container. The PPP becomes available when the administrators turn on offline-management mode. When this mode is on and Plesk is installed, some controls and menus of PPP become available on top and left navigation panes of Plesk. In other words, PPP partially builds into Plesk in offline-management mode. ","Since Plesk 10, the integration between panels leads to unexpected results. For example, some icons in Plesk might not be displayed or layout might be broken when the offline management is on. To resolve these problems, we recommend that you do not use the integration and access the panels on different ports (4643 and 8443).","To make PPP and Plesk operate on different ports, do the following:","On Linux servers, connect to the hardware node over SSH and run the following command:","vzctl set CT_ID --offline_management yes --offline_service vzpp --save<br>","On Windows servers, connect to the hardware node over Remote Desktop and run the following commands:","<br>vzctl set CT_ID --offline_management yes --save<br>vzcfgt set CT_ID offlineservices vzpp","(Optional) Hide Power Panel Controls for Virtuozzo Installations","68654.htm");
Page[33]=new Array("Each new Plesk build is given one of the four release tiers - testing release, early adopter release, general release, late adopter stable. The purpose of these tiers is to notify Plesk administrators when the next version of the desired quality is released so that they can schedule an upgrade to this version. To prevent Plesk administrators from upgrading to unstable Plesk versions, you can make Plesk show only releases or updates complying with the desired quality levels. If you are new to release tiers, read Before Installing Plesk. ","Hiding Release Tiers","You can explicitly configure Plesk to show only upgrades that are of equal or higher quality than a certain tier (from testing to stable). To do this, add the following lines to the panel.ini file:","[updates]<br>releaseTier = &lt;release-tier&gt;","where &lt;release-tier&gt; is one of the following:","testing for testing release.","current for early adopter release.","release for general release.","stable for late adopter release.","On Linux, panel.ini is located in $PRODUCT_ROOT/admin/conf.","On Windows, panel.ini is located in %plesk_dir%\\admin\\conf\\ (%plesk_dir% is an environment variable denoting the Plesk installation directory).","(Optional) Set Up Upgrade Notifications","70209.htm");
Page[34]=new Array("A freshly installed Plesk may include promotional items, for example, an invitation to install Presence Builder or a link to the Plesk store where customers can order domain names and SSL certificates. If, for some reason, you do not want to display these options to Plesk users (for example, if you use competitive software and alternative partner programs to resell domain names), Plesk provides means for changing or hiding these promotional items. To know which items are customizable and how to manage them, refer to the Advanced Administration Guide for Linux and for Windows.","(Optional) Change or Hide Web Interface Elements","70911.htm");
Page[35]=new Array("If you are using one of the earlier Plesk versions, you can choose between two ways of upgrading to Plesk 12.5: in-place upgrade or upgrade by transfer. Choosing the upgrade way is up to you. Next in this section we will provide basic considerations on both ways.","Important: If you upgrade from Plesk 9 or earlier, you should perform additional steps to complete transition to the new business model used since Plesk 10. The instructions on what to do after upgrading from Plesk 9 and earlier are provided in the chapter Completing Upgrade from Plesk 9 and Earlier Versions.","In-Place Plesk Upgrading","In-place upgrading implies updating Plesk components within one server. This way of upgrading has the following pros and cons:","Supports the following Plesk versions: Plesk 10.4.4 and later.","Does not support operating system (OS) upgrading. Thus, if your current OS is not supported by the Plesk version you want to upgrade to, it is not possible to upgrade the OS first and then upgrade Plesk. ","Can be automated for a number of Plesk servers. ","Preserves all custom configurations of system services. All third-party services and Plesk extensions remain intact.","Issues arising during an in-place upgrade (for example, a hardware failure) may lead to Plesk inoperability.  ","Learn how to perform in-place upgrade in In-Place Plesk Upgrading.","Upgrading Plesk by Transfer","Upgrade by transfer means moving Plesk data (subscriptions, accounts, and so on) from a server with an earlier Plesk version (source) to the server with a clean Plesk 12.5 installation (destination). This way of upgrading has the following pros and cons:","Supports the following Plesk versions: Plesk 8.6 and later.","Allows you to move Plesk from a server with currently unsupported OS to the server with a later (supported) OS version.","Cannot be automated for a number of Plesk servers. ","Does not preserve custom configurations of system services, third-party services, and Plesk extensions. They are not transferred to the destination server.","The source server is not affected by the upgrade in any way. Even if the upgrade is unsuccessful, the source server continues working.","Learn how to perform upgrade by transfer in Upgrading Plesk by Transfer. ","Upgrading Plesk","70322.htm");
Page[36]=new Array("Note: Before you proceed, we recommend that you acquaint with Plesk versioning in the Plesk Administration Guide.","In-place upgrade is a process of updating Plesk components on a server. After an upgrade, Plesk increases its major or minor version, for example, from 11.0 to 12.5.","There are three main scenarios of in-place upgrade: Manual, automated, and upgrade in Virtuozzo. In this chapter, you will learn which of them to choose depending on your environment and how to perform in-place upgrades.","Manual Upgrade","This is a typical scenario if you want to upgrade a single Plesk installation. Manual means that user input is required during the upgrade. The wizard prompts you to enter various upgrade settings such as the Plesk version, select the components to be upgraded, and so on. If you use Plesk 10.4.4 and later, you can start an upgrade directly from Plesk. Users of earlier Plesk versions should download and use the Plesk Installer utility. The table below shows the possible ways of upgrading a particular Plesk version to the latest one.","Plesk Version","Upgrade Through...","8.x, 9.x","Plesk Installer","10.4.4, 11.x","Plesk GUI (Tools &amp; Settings &gt; Updates and Upgrades), Plesk Installer","Note: From 10.4, you can set up Plesk to apply upgrades automatically once they become available. Learn more in the Administrator's Guide, section Plesk Updates and Upgrades.","Learn how to manually upgrade Plesk in the section Manual Upgrade. ","Important: If you upgrade from earlier Plesk versions (7.x, 8.x, or 9.x), you should perform additional Plesk configuration steps once data transfer is finished. These steps are required for successful switching of all your Plesk objects to the new business model. Learn more in the chapter Completing Upgrade from Plesk 9 and Earlier Versions.&nbsp;&nbsp;","Automated Upgrade","If you maintain a large number of Plesk installations, we recommend that you use the Plesk Installer utility ran in an unattended manner. This utility accepts all upgrade parameters as command-line options, so you can fully automate Plesk upgrades by writing custom upgrade scripts. Learn more in the section (Advanced) Automated Upgrade. On Linux systems, you can upgrade all Plesk installations at the same time by running a script that copies and simultaneously runs the Installer utility on a number of servers. See the script examples in the section Upgrade Script Examples (Linux). On Windows systems, scripts with remote command execution are also possible but require additional tools such as PsExec. Thus, we do not give examples of such scripts for Windows. <br>Note that automated upgrades can be significantly speeded up if you create a local mirror of the Plesk updates server. Learn more in Appendix C: Mirroring Plesk updates Server.","Upgrade in Virtuozzo","Plesk installations that run in Virtuozzo containers can be upgraded using the manual or automated upgrade ways described above. Nevertheless, if Plesk was installed to a container via a Virtuozzo template, we strongly recommend that you perform all further Plesk upgrades via templates. In this case, the upgrade is performed by running Virtuozzo containers commands. ","Learn more in the section (Advanced) Upgrade in Virtuozzo containers.","In-Place Upgrade Steps","Before upgrading a Plesk installation, you should perform a number of preliminary steps. Learn more in the section Before Upgrading Plesk.  ","Note that after the upgrade is completed, it may be required to perform some post-upgrade steps, for example, to provide a new license key. Learn more in the section After Upgrading Plesk.","Note: In-place Plesk upgrades do not remove or upgrade PHP currently installed on your server. All installed PHP versions remain unchanged. On Windows, Plesk additionally installs the newest PHP version available in its installation package. If you need newer PHP versions on Linux, install them manually as described in the Administrator's Guide, section Multiple PHP Versions.","In-Place Plesk Upgrading","70337.htm");
Page[37]=new Array("There are a few preliminary steps that you might need to perform before upgrading Plesk. These steps apply to all in-place upgrade scenarios.","Before Upgrading Plesk","70348.htm");
Page[38]=new Array("Before you start in-place upgrading, make sure you meet the following requirements.","Requirements for Linux Systems","Before upgrading Plesk for Linux, back up your server data and make sure that the following requirements are met:","The disk space allocated to the /tmp directory exceeds 100 megabytes.","A user who runs the installer can execute files in the /tmp directory. This makes it possible to install the system packages required for Plesk.","If you run Debian, CloudLinux, or Ubuntu, add updates and security repositories to your apt package manager configuration.","Requirements for Windows Systems","Before upgrading Plesk for Windows, back up your server data and make sure that the following requirements are met:","If you plan to use Microsoft SQL Server support in Plesk, the SQL Server should be installed and configured to use standard or mixed security mode. If the SQL Server is not installed, you can select it to be installed with the Plesk upgrade and configured with administrator name 'sa' and a random password.","1. Check Requirements","70349.htm");
Page[39]=new Array("The pre-upgrade checker tool checks for potential business logic issues and other problems of upgrading to Plesk 12.5, and returns recommendations that will help you solve the problems. It runs automatically as part of Plesk Installer when you upgrade Plesk. You can also download and run the checker manually before you start the upgrade operation. We strongly recommend that you run this tool.","You can download the pre-upgrade checker and find the descriptions of the report messages at http://kb.odin.com/9436.","Note: When you upgrade Plesk from Virtuozzo templates, no pre-upgrade checker report appears. However, the upgrade issues might exist."," "," ","2. Perform Pre-Upgrade Check-Up","68655.htm");
Page[40]=new Array("One more step before upgrading a Plesk installation is to choose a proper Plesk version depending on its release tier.","Each major version of Plesk passes through a number of development stages. It is natural that on earlier stages, some of newly implemented features may not be in their final state and may require some further modification. The functionality of such features in subsequent Plesk versions is improved as they receive more customer feedback over time. To indicate the stage of the current Plesk version, we assign one of the following release tiers to it: Testing release, Early Adopter release, General release, and Late Adopter release. The decision about what tier to use is absolutely up to you. For example, consider upgrading to the early adopter release if you want to try new features before the general availability of Plesk. On the other hand, if you want to have the solution that received all major updates and is successfully used by a number of service providers, wait until Plesk achieves the late adopter release status (it may be a couple of months after the general release). ","Choose one of the following:","Testing release.<br>We start each release cycle with publishing a number of testing releases for preview purposes and let you sequentially upgrade from the first one to the last, and then upgrade to higher release tiers. We do not provide technical support for such builds even if they were upgraded to higher tiers. Thus, avoid using this build in a production environment. ","Notes: <br>1. By default, testing builds are not shown as available for installation. You can install the testing Plesk version only by running Plesk Installer with one of the special options. Learn more in the chapter Manual Upgrade.<br>2. Upgrade to the next testing release is available only to the users of a testing build. Subsequent Plesk builds do not have the corresponding option in the GUI.","Early Adopter release. <br>An early adopter release has all claimed features and previous versions successfully upgrade to it. The quality of this version is eventually improved by updates. By selecting the early adopter release you become the first to see the new features and receive the freshest updates.","General release.<br>A general release has passed all quality tests. Minor issues are promptly fixed by updates. We recommend that you always upgrade Plesk to general release versions. ","Late Adopter release. <br>A late adopter release has received all major updates issued for the current Plesk version, and a number of service providers have successfully used it for some time.","&nbsp;","During the manual in-place upgrade, selection of a Plesk version is one of the installation wizard steps. If an upgrade is automated by a script, you should specify a certain Plesk version using Installer options. For users of Virtuozzo templates, a release Plesk version is the only option. ","&nbsp;","3. Choose a Release Tier","70351.htm");
Page[41]=new Array("Once you have completed the steps described in the section Before Upgrading Plesk, you can proceed directly to the Plesk upgrade.","If you use Plesk 10 or later, you can perform the upgrade directly from Plesk. Details on how to do this are provided later in this section.","If you want to upgrade from earlier Plesk versions, use the Plesk Installer utility. The Plesk Installer utility is available for download from http://autoinstall.plesk.com/plesk-installer (for Linux) and http://autoinstall-win.plesk.com/plesk-installer.exe (for Windows).","Plesk Installer can be used either via a browser-based user interface or command line. Learn more in the corresponding sections below.","Some Plesk licenses do not grant permission to perform complex upgrades (upgrades that change a major version number: for example, from 10.3.1 to 10.4.0). On attempting to perform such an upgrade, Plesk will warn you about license limitations. Nevertheless, you will still be able to perform the upgrade. When it is finished, you will need to obtain and install a license key for the new Plesk version. For more information about installing a license key after upgrade, refer to the section Installing a License Key.","Manual Upgrade","70352.htm");
Page[42]=new Array("Starting from Plesk 10, you can apply upgrades directly from Plesk in Tools &amp; Settings &gt; Updates and Upgrades. ","We recommend that you set up Plesk to notify you when upgrades to the chosen version (early adopter, general, or late adopter release) become available. After you select the desired release tier in Tools &amp; Settings &gt; Update and Upgrade Settings, Plesk will check for upgrades once a day. When an upgrade with the selected release tier becomes available, Plesk will notify you on the Home &gt; System Overview. ","Upgrade from the Plesk GUI (Plesk 10 and later)","70375.htm");
Page[43]=new Array("To upgrade 8.x or 9.x versions of Plesk to the latest version via the web interface, follow the instructions given below.","Important: <br>1. Plesk Sitebuilder 4.5 is not upgraded. Alternatively, the new version of Presence Builder (former Sitebuilder) installs beside the previous one. Hence, you have the opportunity to manage existing sites in Sitebuilder 4.5 and create sites either in Web Presence Builder or in Sitebuilder 4.5. The upgrade of existing sites to the new format is performed manually. <br>2. If you used Plesk Billing, add the Customer &amp; Business Manager component to the list of components to upgrade. ","To upgrade Plesk from the Web interface:","Download the Plesk Installer utility that suits your operating system from http://autoinstall.plesk.com/plesk-installer (for Linux) or http://autoinstall-win.plesk.com/plesk-installer.exe (for Windows).","(Only for Linux) Set the execution permission for Plesk Installer. ","chmod +x plesk-installer","Run Plesk Installer.","On a Linux/Unix server:","./plesk-installer --web-interface","On a Windows server:","plesk-installer.exe ","(Only for Linux) Open your browser and enter https://your-host-name-or-IP-address:8447/ in the address bar. The Plesk Installer Web interface opens.","(Only for Windows) Plesk Installer wizard opens in a new browser window. When the installer starts, an additional console window opens. This window displays the operations performed by the utility. It is closed upon the successful installation, or after 30 minutes of inactivity.","Note: As described in the section Before Upgrading Plesk, you can select a Plesk build for an upgrade depending on its release tier. By default, Installer shows you only the latest general and late adopter releases. To be able to upgrade to other Plesk releases, use the following Installer options:<br> --all-versions to view all available Plesk versions.<br> --tier &lt;release_tier&gt; to view the latest available versions with the specified release tier.","(Only for Windows) Select the language for the installation wizard.","Log in to the web interface.","If you are running Windows, type the administrator's username (&quot;Administrator&quot;), administrator's password, and click Log In.","If you are running Linux, type the system root user and password, and click Log In.","Click Updates source and installation settings and specify the source of Plesk distribution package:","By default, the Official Plesk updates server is selected. Specify the location where the installation files will be stored.","If you select Mirror server, specify the .inf3 file location in the URL to the directory with .inf3 file field. Specify the location where the installation files will be stored. ","If you select Local media, specify the .inf3 file location in the Absolute path to the .inf3 file field.","If you use a proxy server, select the Connect using a proxy checkbox and specify the following settings:","Specify proxy host name and port number in the Proxy address and port fields.","If this proxy server requires authentication, select the Require authentication checkbox and specify username and password.","(Only for Linux) Select the installation language and click Save to save the installation preferences and proceed to installation.","Click Install or Upgrade Product. You are taken to the products list.","Select the checkbox corresponding to Plesk and the Plesk product versions to which you want to upgrade. By default, the latest product versions are selected.","To review the components that will be installed, select the Preview components selection checkbox and click Continue. You can see the list of available components. To select or deselect a component, select or clear the corresponding checkbox. To select or deselect all the components, click Select all or None respectively.","To start the upgrade, click Continue.","The packages will be downloaded and installed. When the upgrade is finished, you will see a notification saying &quot;All products and components have been successfully installed and upgraded.&quot; Click OK.","Forcing integration with Business Manager","If you upgrade Plesk with Business Manager, the components require some time (not more than five minutes) to set up integration after the upgrade is completed. During this period, you may not see Business Manager links in Plesk, Business Manager may require your password to log in, and you may see a message about invalid credentials when logging in.","If you want to force the integration, log in to Business Manager and reconnect Plesk manually. To do this, go to Home, group Sync Statistics, click the corresponding link, select Plesk ID, and click Reconnect.","Upgrade from the Web Interface","65790.htm");
Page[44]=new Array("To upgrade 8.x or 9.x versions of Plesk to the latest version via the command line, follow the instructions given below.","Important: <br>1. Plesk Sitebuilder 4.5 is not upgraded. Alternatively, the new version of Presence Builder (former SiteBuilder) installs beside the previous one. Hence, you have the opportunity to manage existing sites in Sitebuilder 4.5 and create sites either in Presence Builder or in SiteBuilder 4.5. The upgrade of existing sites to the new format is performed manually. <br>2. If you used Plesk Billing, add the Customer &amp; Business Manager component to the list of components to upgrade. ","To update or upgrade your Plesk through the command line:","Download the Plesk Installer utility that suits your operating system from http://autoinstall.plesk.com/plesk-installer (for Linux) or http://autoinstall-win.plesk.com/plesk-installer.exe (for Windows).","(Only for Linux) Set the execution permission for Plesk Installer: ","chmod +x plesk-installer","Run Plesk Installer.","On a Linux/Unix server:","./plesk-installer","On a Windows server:","plesk-installer.exe --console","Note: As described in the section Before Upgrading Plesk, you can select a Plesk build for an upgrade depending on its release tier. By default, Installer shows you only the latest general and late adopter releases. To be able to upgrade to other Plesk releases, use the following Installer options:<br>--all-versions to view all available Plesk versions.<br>--tier &lt;release_tier&gt; to view the latest available versions with the specified release tier.","To confirm upgrade, type 'y' and press ENTER.","Specify the source of Plesk distribution package.","You can choose to upgrade from a local medium, the official Plesk updates server, or another site. By default, the official server is selected. If you wish to retrieve installation files from a local medium or network storage:","Type 's' and press ENTER.","To choose a local medium, type 1. To choose a network storage device, type 3. Press ENTER.","If you chose a local medium, specify the location of psa.inf configuration file. If you chose a network storage, specify the address. For example, http://example.com, http://192.168.10.10, ftp://192.168.10.10.","Note: If you are running Windows, it is possible to use local system paths when specifying the source. Network shares cannot be used directly, only if you preliminarily map a network drive to a local drive. ","If you use a proxy server, specify the following settings:","Proxy host name and port number. To specify them, type 's', type the host name, type the port number, and press ENTER to continue.","User name and password. If this proxy server requires authentication, type 'a', press ENTER, specify username and press ENTER, type password and press ENTER.","When finished with specifying proxy settings, type 'n' and press ENTER to continue.","Select the product version to which you want to upgrade: type the number corresponding to the product version you need and press ENTER, then type 'n' and press ENTER to continue.","Select the components that you want to install or upgrade. ","Tip: The selected packages are marked with [*] symbols. The packages that are already installed and do not require updating are marked with [=] symbols. The component groups that contain selected components are marked with [.]. To select or deselect a package, type the corresponding number and press ENTER..","To continue with the upgrade, type 'n' and press ENTER. When prompted, confirm upgrading: type 'n' and press ENTER again.","The packages will be downloaded and installed.","Forcing integration with Business Manager","If you upgrade Plesk with Business Manager, the components require some time (not more than five minutes) to set up integration after the upgrade is completed. During this period, you may not see Business Manager links in Plesk, Business Manager may require your password to log in, and you may see a message about invalid credentials when logging in.","If you want to force the integration, log in to Business Manager and reconnect Plesk manually. To do this, go to Home, group Sync Statistics, click the corresponding link, select Plesk ID, and click Reconnect.","Upgrade from the Command Line","65789.htm");
Page[45]=new Array("Once you have completed the steps described in the section Before Upgrading Plesk, you can proceed directly to the Plesk upgrade.","To upgrade Plesk on Linux- or Windows-based servers, use the Plesk Installer utility. The utility is available for download from http://autoinstall.plesk.com/plesk-installer (for Linux) and http://autoinstall-win.plesk.com/plesk-installer.exe (for Windows).","How to Automate Plesk Upgrade","If you need to simultaneously upgrade a large number of Plesk servers, we recommend that you automate this process. The automation is based on using the command-line options of the Plesk Installer utility that allows you to predefine all upgrade parameters. Thus, the upgrade can be carried out without user input. To learn how to perform such upgrades, refer to the section Running Automated Upgrades.<br>Moreover, if you plan to upgrade a number of Plesk servers for Linux, you can write a script that automatically copies and runs Installer on a specified group of servers. See the script examples in the section Upgrade Script Examples (Linux). On Windows systems, scripts with remote command execution are also possible but require additional tools such as PsExec. For this reason, we do not give examples of such scripts for Windows.","Note that after an upgrade, you may be asked to install a new license key. This may happen with those Plesk license keys that do not grant permission to perform complex upgrades (upgrades that change the major version number, for example, from 10.3.1 to 10.4.0). For this reason, when the upgrade is finished, you will need to obtain and install a license key for the new Plesk version. You can automate this process as well. For more information about installing a license key after upgrade, refer to the section Installing a License Key. ","Speeding Up Automated Upgrades","You can significantly speed up multiple upgrades if you create a local mirror of the Plesk updates server. This will save time and bandwidth. Learn how to set up a custom mirror in Appendix C: Mirroring Plesk updates Server.","(Advanced) Automated Upgrade","70353.htm");
Page[46]=new Array("To upgrade Plesk without needing to supply any information in the process, run the command:","plesk-installer &lt;packages source options&gt; --select-release-id &lt;ID&gt; --upgrade-installed-components &lt;components installation options&gt; [other options]","where","packages source options define the location where Installer should obtain the Plesk packages for upgrade","&lt;packages source options&gt; =  ","--source &lt;URL&gt;","if using a mirror of the Plesk updates server","OR","--source &lt;path&gt;","if using a local file system","OR","none","if installing from the Plesk updates server","--select-release-ID option defines Plesk version for the upgrade. &lt;ID&gt; is a unique Plesk version identifier, like PANEL_12_0_18.<br>You can get the list of available Plesk version IDs by running Installer with the --show-releases option. Note that by default, Installer shows you only IDs of the publicly released production versions (learn more about Plesk release tiers in the section Before Installing Plesk). If you want to obtain the full list of available Plesk versions including those intended for the product preview and testing purposes, add the --skip-branch-filter option.","components installation options define which Plesk components should be additionally installed during an upgrade","&lt;components installation options&gt; =","--installation-type","The installation type can be Full or Typical.","OR","--install-component component1 [--install-component component2 [... [--install-component componentN]]]","You can get the full list of components available for a certain release by running Installer with the following options: --select-release-id &lt;ID&gt; --show-components","other options include those that define proxy settings, installation logging and so on. For full details, please refer to the Appendix D: Plesk Installer Options.","Examples, Linux/Unix","1. The following command upgrades Plesk to the 12.0.18 release version (ID is PANEL_12_0_18) from the mirror set up on the server mirror.example.com available via HTTP. Installation files will temporarily be stored at /tmp/panel, and the installation status will be reported to the email admin@example.com. The PostgreSQL server component is additionally installed.","./plesk-installer --source http://mirror.example.com/ --target /tmp/panel --select-release-id PANEL_12_0_18 --upgrade-installed-components --install-component postgresql --notify-email admin@example.com","2. The following command performs the upgrade to the Plesk 12.0.18 release version (ID is PANEL_12_0_18) from the Plesk updates server. All Installer's output is redirected to an XML file.","./plesk-installer --select-release-id PANEL_12_0_18 --upgrade-installed-components --enable-xml-output","Examples, Windows","1. The following command upgrades Plesk to the 12.0.18 release version (ID is PANEL_12_0_18_WIN) from the mirror set up on the server mirror.example.com available via HTTP. Installation files will temporarily be stored in the %SystemDrive%\\Parallels\\ folder, and the installation status will be reported to the email admin@example.com. The Bind name server component is additionally installed.","plesk-installer.exe --source http://mirror.example.com/ --target %SystemDrive%\\Parallels --select-release-id PANEL_12_0_18_WIN --upgrade-installed-components --install-component dns --notify-email admin@example.com","2. The following command performs the upgrade to the Plesk 12.0.18 release version (ID is PANEL_12_0_18) from the Plesk updates server. All installer output is redirected to an XML file.","plesk-installer.exe --select-release-id PANEL_12_0_18_WIN --upgrade-installed-components --enable-xml-output","Running Automated Upgrades","70367.htm");
Page[47]=new Array("This section provides notes on implementation and execution of an upgrade script, and also presents a couple of script samples.","Implementation and Executions Notes","To avoid being prompted for password each time you connect via SSH to the servers where Plesk should be installed, place your public key to the list of authorized keys of a user on whose behalf the script is run on each server (see SSH documentation for details on the procedure).","If you have a local mirror of the Plesk updates server (as described in the chapter Appendix C: Mirroring Plesk updates Server), use the following option: ","--source &lt;mirror URL&gt;","Example","This script upgrades Plesk installed on the specified servers to the latest available version.","#!/bin/sh","SERVERS_LIST=&quot;node1.example.com node2.example.com&quot;","for current_server in $SERVERS_LIST; do","ssh -f root@$current_server 'plesk installer --select-release-latest --upgrade-installed-components --notify-email admin@example.com'","done","Upgrade Script Examples (Linux)","70369.htm");
Page[48]=new Array("Virtuozzo is a container-based virtualization solution employed by a large number of service providers. Each Virtuozzo container is a separate virtual server that acts exactly like a stand-alone one. ","The main way of installing an app to Virtuozzo Containers is to use a Virtuozzo template. A Virtuozzo app template is a package containing everything an app needs to be installed to a server. You install an app template to your server just once and then install the app from the template to a number of containers simultaneously. The main benefit of using Virtuozzo templates is that the software installed in containers is unified - you have one Virtuozzo template that is applied to all containers on your hardware node. If Plesk was installed to a container via a Virtuozzo template, we strongly recommend that you perform all further Plesk upgrades via templates. If you have a number of Plesk containers, this will allow you to keep all Plesk installations consistent within your hardware node.  ","Upgrade via Virtuozzo templates is performed in two steps: you install the latest available Plesk template to your hardware node and then start an upgrade on each container with the help of Virtuozzo commands. ","As well as in the other upgrade scenarios, after the upgrade in Virtuozzo, Plesk may require the installation of a new license key. You can do this either manually or automatically. For more information about installing a license key after upgrade, refer to the section Installing a License Key.","In this section, we will describe how to perform an upgrade of Plesk installed to a Virtuozzo container via a Virtuozzo template on both Linux and Windows platforms.","(Advanced) Upgrade in Virtuozzo","70356.htm");
Page[49]=new Array("When you upgrade Plesk operating in Virtuozzo containers for Linux, please note the following:","You should not remove Plesk Virtuozzo templates from containers before upgrading.","During upgrade to a newer version of Plesk, ensure that you upgrade all installed components. This is required to avoid conflicts caused by outdated components.","If you previously installed postfix or qmail templates, be sure to install a pp12-dovecot or a pp12-courier-imap template during upgrade. Otherwise, IMAP/POP3 server might be unavailable.  ","To upgrade Plesk installed with versioned EZ templates in Virtuozzo containers environment:","Obtain the new templates from the Plesk website and install them using the following command:","vzup2date -m batch -z install &lt;list of templates&gt;","Note: On Virtuozzo, the vzup2date utility is deprecated. You should use yum instead.","For more information about shipped templates, refer to the section Linux Virtuozzo Templates.","To learn what Plesk templates are currently installed on the server, run vzpkg list and find the ones with names starting with pp.","Install the latest versions of the Plesk templates to each container by running the commands like this:","vzpkg install &lt;CTID&gt; &lt;list of templates&gt; ","Where &lt;CTID&gt; is the ID of the container on which you install the templates and &lt;list of templates&gt; lists templates upgraded or installed during step 1.","For example:","vzpkg install 444 pp12 pp12-kav","Note: Mail server templates pp12-qmail and pp12-postfix must not be installed at the same time.","&nbsp;","Important: We strongly recommend that you add the new template pp12-bind after installing new versions of templates that were already installed. Otherwise, all new Plesk containters deployed on this hardware node will not have the DNS server installed. To learn more about how Plesk works without a DNS server, refer to the Administrator's Guide, section Plesk Without a DNS Server.","If you used versioned templates before upgrading, remove them from each container by running the command like this:","vzpkg remove &lt;CTID&gt; &lt;list of old templates&gt; ","For example:","vzpkg remove 444 pp10 pp10-kav","To upgrade Plesk installed with version-free EZ templates in Virtuozzo environment:","Upgrade Plesk templates installed on the server to the latest available version and add templates that you need. To do this, run the following command: ","vzup2date -m batch -z install &lt;list of templates&gt;","Note: On Virtuozzo, the vzup2date utility is deprecated. You should use yum instead.","For more information about shipped templates, refer to the section Linux Virtuozzo Templates.","To learn what Plesk templates are currently installed on the server, run vzpkg list and find the ones with names starting with pp.","Install the latest versions of the Plesk templates to each container by running the commands like this:","vzpkg install -f &lt;CTID&gt; &lt;container's list of templates&gt; ","vzpkg update &lt;CTID&gt;","Where &lt;CTID&gt; is the ID of the container on which you install the templates and &lt;container's list of  templates&gt; is a consistent list of all templates installed on the container as well as new templates that you want to install on it during the upgrade. ","For example:","vzpkg install -f 444 pp pp-kav","Note: Mail server templates pp-qmail and pp-postfix must not be installed at the same time.","&nbsp;","Important: We strongly recommend that you add the new template pp-bind after installing new versions of templates that were already installed. Otherwise, all new Plesk containters deployed on this hardware node will not have the DNS server installed. To learn more about how Plesk works without a DNS server, refer to the Administrator's Guide, section Plesk Without a DNS Server.","For more information about operating in a Virtuozzo environment, refer to Virtuozzo containers documentation at http://www.odin.com/support/virtualization-suite/pvc/.","Upgrading Plesk on Virtuozzo containers for Linux","65793.htm");
Page[50]=new Array("To upgrade Plesk installed with standard templates in Virtuozzo environment:","Obtain new templates from the Plesk website and upload them to your server.","Note: For more information about shipped templates, refer to the section Windows Virtuozzo Templates.","Deploy the new templates on the server","Install the templates to containers.","For details on performing these operations and other administrative actions in a Virtuozzo environment, refer to Virtuozzo documentation available at the Virtuozzo page of the Odin website.","Upgrading Plesk on Virtuozzo containers for Windows","65794.htm");
Page[51]=new Array("Post-upgrade setup includes some steps that may be required after an upgrade:","Installing a Plesk license key.<br>Some Plesk licenses do not grant the permission to perform complex upgrades (upgrades that change a major version number: for example, from 10.3.1 to 10.4.0). On attempt to perform such an upgrade, Plesk will warn you about license limitations. Nevertheless, you will still be able to perform the upgrade. When it is finished, you will need to obtain and install a license key for the new Plesk version.","Complete switching to the new business model after upgrading from Plesk 9 or earlier.","Due to changes in Plesk business model introduced in version 10, if you upgrade from Plesk 9 or earlier, you should perform additional configuration steps to complete the upgrade.","<br>","After Upgrading Plesk","71122.htm");
Page[52]=new Array("Once the upgrade is finished, Plesk may ask you to install a new license key. This may happen with those Plesk license keys that do not grant the permission to perform complex upgrades (upgrades that change the major version number: such as, for example, from 10.3.1 to 10.4.0). ","You can install an existing license key either manually from the GUI or remotely from the command-line interface. The latter way is recommended when upgrading multiple Plesk installations.","To get a new license key, proceed to the Odin online store (Tools &amp; Settings &gt; License Management &gt; Order New Key). Once you purchase the key, you will receive an activation email with your activation code and a license key file. You can install a Plesk license key either by entering the activation code or by uploading the file from this email. ","To install a license key using an activation code:","Go to Tools &amp; Settings &gt; License Management &gt; Plesk License Key and click Install Key. ","Enter the code you received in the email to the Enter an activation code field and click OK. ","To install a license key using a license key file:","Go to Tools &amp; Settings &gt; License Management &gt; Plesk License Key and click Install Key. ","Choose Upload a license key file.","Specify the path to the key file you received in the email and click OK.","To install a license key through the command-line interface:","To install a Plesk license key, use the license utility:","license &lt;--install|-i&gt; &lt;path-to-key-file | activation-code&gt;","For example, ","On Linux using a key file:","/usr/local/psa/bin/license -i /tmp/pp11.5key.xml","On Linux using an activation code:","/usr/local/psa/bin/license -i AB1C23-4DEF56-7GHI89-JK1L23-MNP456","On Windows using a key file:","&quot;%plesk_dir%\\bin\\license.exe&quot; -i &quot;D:\\keys\\pp11.5key.xml&quot;","On Windows using an activation code:","&quot;%plesk_dir%\\bin\\license.exe&quot; -i AB1C23-4DEF56-7GHI89-JK1L23-MNP456","Installing a License Key","71122.htm#o65829");
Page[53]=new Array("In order to improve Plesk security, in version 11.0, we changed the protocol of interaction between Business Manager and connected Plesk servers. By default, after upgrading to this version, Business Manager continues using the old protocol for interaction with connected Plesk servers of version 10.4 and earlier. To switch the connections between Business Manager and such Plesk servers to the new improved protocol, you should perform the additional configuration steps described below.","To restore the connection between Business Manager 12.5 and a remote Plesk 10.4 or earlier:","Go to Business Setup &gt; All Settings &gt; Hosting Panels. ","Find the remote Plesk in Plesk Groups. This Plesk will have a warning icon (@) near its name. Click Edit.","Re-enter the administrator's password.","Specify the Business Manager IP address - an IP address that Plesk will use to communicate with Business Manager. Usually, this address is the IP address of Business Manager server in its local network. However, the address may be different, for example, if Business Manager communicates with this Plesk through a firewall or a NAT router. ","Click OK.","Configuring Business Manager Connections to Remote Plesk Servers of Earlier Versions","71122.htm#o71223");
Page[54]=new Array("Upgrade by transfer is a process of switching to the latest Plesk version by moving all hosting data (service plans, accounts, subscriptions with content, and so on) from your current Plesk server (source) to a server with a later Plesk version (destination server). This upgrade method is appropriate, for example, if the latest Plesk version does not support in-place upgrade from your Plesk or does not support the operating system you use on the server. In addition, you can use this type of upgrade if you want not only to update your Plesk, but also to move it to a more powerful server or a new operating system. You can perform upgrade by transfer in the following ways: using the Plesk Migrator component or using the backup files.","Supported Upgrades","Source","Destination","Plesk for Unix 8.6 and later","Plesk for Linux 11.5 or later","Plesk for Windows 8.6 and later","Plesk for Windows 11.5 or later","Important: If you upgrade from earlier Plesk versions (7.x, 8.x, or 9.x), you should perform additional Plesk configuration steps once the data transfer is finished. These steps are required for successful switching of all your Plesk objects to the new business model. Learn more in the chapter Completing Upgrade from Plesk 9 and Earlier Versions.&nbsp;","Upgrade Using the Plesk Migrator Component (Recommended)","We recommend that you perform upgrade by transfer using the Plesk Migrator component. This component runs on a destination server and automatically copies hosting data from your source Plesk. Learn how to upgrade your Plesk using Plesk Migrator in the Migration Guide.","Upgrade Through Backup Files","If for some reason, Plesk Migrator cannot connect to the source server (for example, due to firewall restrictions), you can transfer data from the source to the destination server using backup files. To perform such an upgrade, you should back up the data on the source server, transfer the resulting archive file to the destination server manually, and restore the data on this server. You can back up and restore Plesk data either through the Plesk GUI, or by means of the command-line utilities pleskbackup and pleskrestore. Learn how to perform upgrade using backup files in the section Upgrading Through Backup Files.","What Is Transferred","After you perform an upgrade by transfer, the destination Plesk will contain service plans, add-ons, customer accounts, and subscriptions that existed on the source server before the upgrade. The majority of Plesk settings will be transferred as well. However, some objects and settings are not transferred to the destination Plesk, namely:","Plesk settings from the list below:","The list of connected database servers and their settings (Tools &amp; Settings &gt; Database Servers)","Important: If a database server connected to the source server is not connected to the destination server, all databases from this database server will be transferred to the destination server's default database server of the same type.","The settings of Apache modules (Tools &amp; Settings &gt; Apache Modules)","Backup settings  (Tools &amp; Settings &gt; Backup Settings)","Customers' backup files and FTP storage settings (Control Panel &gt; Websites &amp; Domains &gt; Backup Manager &gt; FTP Storage &gt; Settings).","Plesk extensions.","Third-party software and services.","Administrators and customers should configure these settings and add missing objects manually.","Best Practices","You might find useful the following Odin Knowledge Base articles:","Plesk for Linux: Migration Best Practices and Use Cases.","Plesk for Windows: Migration Best Practices and Use Cases.","Upgrading Plesk by Transfer","71242.htm");
Page[55]=new Array("In addition to using Plesk Migrator, you can back up data on a source server, transfer the resulting archive file to the destination server, and restore the data there. Backing up and restoring can be performed through the Plesk user interface or by means of command-line utilities pleskbackup and pleskrestore. The utilities are located in the /usr/local/psa/bin/ directory on Linux systems, and %plesk_cli% on Windows systems.","Important: The backup and restore utilities and the corresponding functions in Plesk are available only if you install the optional Plesk components that are not included in typical installations. You can install these components by using the web-based installation and update wizard: in Server Administration Panel, go to Tools &amp; Settings &gt; Updates and Upgrades &gt; Add Components, and select Plesk Backup Manager in the Server backup solutions group.","The backup format changes from version to version, so it may be impossible to restore data from a backup through command line due to compatibility problems. Therefore, if you want to transfer data from earlier Plesk versions, do it through the Plesk user interface: In this case, the destination Plesk will automatically convert the backup file to the appropriate format.","To back up data on the source server using Plesk user interface:","Follow the instructions in the Administrator's Guide for your Plesk version:","Plesk 12.5: http://docs.plesk.com/en-US/12.5/administrator-guide/59256.htm.","Plesk 12.0: http://docs.plesk.com/en-US/12.0/plesk-administrator-guide/59256.htm.","Plesk 11.5: http://docs.plesk.com/en-US/11.5/plesk-administrator-guide/59256.htm.","If you have a Plesk version earlier than 8.6, use the Help link in the navigation pane to access the Administrator's Guide.","To back up all data on the source server using command-line utilities:","On a Linux-based server - /usr/local/psa/bin/pleskbackup server &lt;backup_file_name&gt;.","On a Windows-based server running Plesk 9 and later - &quot;%plesk_cli%\\pleskbackup.exe&quot; --server.","On a Windows-based server running Plesk 8.6 and earlier - &quot;%plesk_cli%\\pleskbackup.exe&quot; --all &lt;backup_file_name&gt;.","If you want to save backup files to an FTP server, specify a URL like ftp://[&lt;login&gt;[:&lt;password&gt;]@]&lt;server&gt;/&lt;file_path&gt; instead of &lt;backup_file_name&gt;.","If you want to improve backup security, encrypt the backup by adding the -backup-password &lt;your_password&gt; option. Learn more about password-protected backups in the Administrator's Guide, section Backup and Restoration.","If you want to perform a selective backup by means of command-line tools, follow the instructions for your Plesk version:","Plesk 10 and later: http://docs.plesk.com/en-US/12.5/advanced-administration-guide-linux/68837.htm (for Linux) and http://docs.plesk.com/en-US/12.5/advanced-administration-guide-win/68481.htm (for Windows).","After the data you want to transfer are backed up, upload the backup file to the server and restore the data it contains.","To upload backup file to the destination server and restore data by means of the GUI:","Log in to Server Administration Panel on the destination server.","Go to Tools &amp; Settings &gt; Backup Manager (in the Tools &amp; Resources group).","Click Upload.","Click Browse and select the backup file you want to upload.","If the backup was encrypted, specify the password that you used for encryption.","Click OK. The file is uploaded to the server storage.","On the Server Storage tab, click the link corresponding to the backup file you have just uploaded.","Select the types of data you want to restore and specify restoring options.","Click Restore and follow the on-screen instructions to complete restoring.","To restore all data on the destination server by means of the pleskrestore command-line utility:","Upload a backup file to the server.","Prepare a mapping file, so that you could specify which IP addresses should be used on the server:","To create a mapping file, issue the following command.","On a Linux-based server - /usr/local/psa/bin/pleskrestore --create-map &lt;path to backup file&gt; -map &lt;path to mapping file&gt;","On a Windows-based server - &quot;%plesk_cli%\\pleskrestore.exe&quot; --create-map &lt;path to backup file&gt; -map &lt;path to mapping file&gt;","Open the created mapping file with a text editor.","Locate the section starting with [ip-map]. It should contain entries like in the following example:","[ip-map]","# Unchanged IP addresses:","# Please review default IP addresses mapping below:","10.52.30.170 shared -&gt; 10.52.30.170 shared  # ip address does not exist 10.52.30.170","10.52.120.243 exclusive -&gt; 10.52.120.243 exclusive  # ip address does not exist 10.52.120.243","In the right part of each line after the -&gt; characters, replace the present IP addresses with those that should be used on the destination server, and make sure that the allocation scheme for the new addresses is correctly indicated by the words shared and exclusive. Shared indicates a shared IP address, and exclusive, a dedicated IP address. ","Save the file.","Restore the data from backup by issuing the following command:","On a Linux-based server - /usr/local/psa/bin/pleskrestore --restore &lt;path_to_backup_file&gt; -level server -map &lt;path to mapping file&gt;","On a Windows-based server - &quot;%plesk_cli%\\pleskrestore.exe&quot; &lt;path_to_backup_file&gt; -level server -map &lt;path to mapping file&gt;","If the backup was protected by password, use the -backup-password option to specify the password that you used for encryption.","If the restoration fails with the error message Unable to resolve all conflicts, refer to the section Troubleshooting Migration &amp; Transfer Issues.","Note: If you want to perform a selective restoration by means of command-line tools, follow the instructions in the Advanced Administration Guide for Linux and for Windows.","After data are restored, each migrated website is associated with a separate hosting service subscription not linked to any particular hosting plan. To simplify further maintenance, you can now review properties of all new subscriptions and associate them with hosting plans.","Important: If you upgrade from Plesk 9 or earlier, you should complete the transfer according to instructions provided in Completing Upgrade from Plesk 9 and Earlier Versions.","Upgrading Through Backup Files","66868.htm");
Page[56]=new Array("Compared to the earlier versions of Plesk software (Plesk 9 and earlier), Plesk 10 and later versions introduce a number of significant changes in the business model, for example, services are offered by means of service plans and subscriptions instead of templates and domains, and domain administrators are replaced with additional users. Learn more about the changes in the Administrator's Guide, section After Upgrading to Plesk 12.5.  ","This chapter describes the steps required to complete the transition to the new business model.","During upgrade or transfer to Plesk 12.5, most of the user accounts and domains are transformed automatically to comply with the new business model. However, because of changes in the resource allocation scheme, you need to carry out several actions and decide how the resources should be allocated in your new system.","These actions are as follows:","Complete the accounts and resources transition using the transition assistant in Plesk. Learn how to do this in the section Completing the Transition. For details on how objects are converted, refer to the section Conversion Schemes and Recommended Steps. ","Set up hosting (reseller) plans corresponding to your service offerings and associate the transferred accounts and subscriptions with the plans. Learn more in the section Associating New Accounts and Subscriptions with Plans. ","For detailed information about service plans and subscriptions, refer to the Administrator's Guide, chapter Customers and Resellers.","Completing Upgrade from Plesk 9 and Earlier Versions","70381.htm");
Page[57]=new Array("Conversion made: Reseller accounts from earlier Plesk versions become reseller accounts with custom subscriptions, not tied to any existing reseller plan.","Further recommended action: To simplify account management, subscribe the resellers to reseller plans.","Reseller Accounts","66172.htm#o66166");
Page[58]=new Array("Conversions made:","Administrator's client accounts became customer accounts belonging to the administrator.","All domains were converted to individual subscriptions, one subscription per each domain. All subscriptions were assigned to the customers who owned the corresponding domains.","The former client limits and permissions were converted to a subscription-like entity called My Resources. The entity is not tied to any existing hosting plan, but only keeps the information about the resources that were allocated to the user before transition.","Domain administrators were converted to customers' users whose accounts have access only to the subscription that contains their domain.","Further recommended actions:","Complete transition of the customer accounts by using the following schemes:","Clients who had one domain are converted to customers with a custom subscription. The subscription is allocated the minimal amount of resources from the former client or domain limits. Domain administrators become users who can access Plesk.","Clients who had several domains and who were not allowed to adjust resource usage allotments, are converted to customers with custom subscriptions.","Each subscription inherits resource allotments from the former domain limits.","Former domain administrators become users with suspended accounts, so that they cannot log in to Plesk and view all domains and subscriptions of the customer.","Clients who had several domains and who were allowed to adjust resource usage allotments and create domains, can be converted to:","Reseller. A former client is upgraded to reseller. Reseller subscription resources are inherited from the former client&#8217;s limits. If domain administrator account was enabled for a former domain, it is upgraded to a customer account and corresponding subscription is associated with it. Otherwise, subscriptions belong directly to reseller.","Customer. A former client remains customer. The client&#8217;s resources are shared among all subscriptions of the client. Domain administrator accounts remain users with access only to the subscription that contains their domain.","To simplify account management, associate the new subscriptions with your hosting plans.","Administrator's Clients and Their Domains","66172.htm#o66167");
Page[59]=new Array("Conversions made:","All client accounts that belonged to a reseller in the previous version of Plesk are converted to customer accounts owned by the respective resellers.","Resources of each client are converted to a subscription-like entity called My Resources, which will be removed once the transition is complete. ","All the clients' domains are converted to subscriptions (one new subscription per each domain). ","Domain administrators are converted to customers' users whose accounts have access only to the subscription that contains their domain.","Further recommended steps:","Complete transition of the customer accounts by using the following schemes:","Clients who had one domain and were not allowed to adjust resource allotments are converted to customers. New subscription resources are equal to the minimum from the former client or domain limits. ","Clients who had one domain and were allowed to adjust resource allotments are converted to customers. New subscription resources are equal to the former client limits. ","Clients who had several domains and who were not allowed to adjust resource usage allotments, are converted to customers.","Each subscription inherits resource allotments from the former domain limits.","Clients who had several domains and who were allowed to adjust resource usage allotments and create domains, are converted to customers.","The client&#8217;s resources are shared among all subscriptions of the client. ","To simplify account management, associate the new subscriptions with your hosting plans.","Resellers' Clients and Their Domains","66172.htm#o66168");
Page[60]=new Array("Conversions made:","All domains belonging to administrator in previous versions of Plesk are converted to administrator&#8217;s own subscriptions.","Domain administrators are converted to administrator's users whose accounts have access only to the subscription that contains their domain.","Further recommended steps:","For domains that had domain administrator accounts configured, you can keep the automatic conversion results or choose to use any of the following schemes:","Upgrade the former domain administrators to customers and assign the domains to them.","Convert to subscription with users. Domain administrator accounts remain users with access only to that subscription.","Convert to subscription without users. The former domain administrator account is removed.","To simplify management of subscriptions, associate the new subscriptions with your hosting plans.","Domains Belonging to Administrator","66172.htm#o66170");
Page[61]=new Array("Conversions made: All domains that belonged to resellers in a previous version of Plesk are converted to the resellers&#8217; own subscriptions preserving the ownership. Domain administrators are converted to resellers' users whose accounts have access only to the subscription that contains their domain.","Further recommended steps:","For domains that had domain administrator accounts configured, you can keep the automatic conversion results or choose to use any of the following schemes:","Upgrade the former domain administrators to resellers' customers and assign the domains to them.","Convert to subscription with users. Domain administrator accounts remain users with access only to that subscription.","Convert to subscription without users. The former domain administrator account is removed.","Domains Belonging to Resellers","66172.htm#o66171");
Page[62]=new Array("To complete the transition to the new business model after upgrading or migrating to Plesk 12.5:","Log in to the Server Administration Panel as administrator.","On the Home page, click the link Complete switching to the Plesk 10 business model. This link is located in a message box that shows if some of user accounts were not transitioned.","Alternately, you can go to Tools &amp; Utilities &gt; Complete Switching to the Plesk 10 Business Model.","On the Recommended Actions tab, review the accounts and subscriptions, and the recommended transition schemes.","If the recommended actions suit your needs, select the corresponding checkboxes Transition these customers and Transition these subscriptions, and click OK.","This will transition the selected customers and subscriptions. Once the transition is complete, they will not be shown in the list any more.","Alternatively, transition customers or subscriptions selecting a transition scheme based on your own judgement:","Click the Selective Transition of Customers or Selective Transition of Subscriptions tab.","To help you choose an appropriate transition scheme for an account, consider the number of domains belonging to a customer, the amounts of previously allocated resources, and granted privileges. The number of domains belonging to each customer is shown in the list of customers, in the Subscriptions column. To learn about allocated resources and granted privileges, click a link with the customer's name, and then click My Resources. After that, click Up Level to return to the previous page.","Select checkboxes corresponding to the customers or subscriptions you wish to transition using one of the schemes.","From the Apply Transition Scheme menu, select the suitable option:","For customers:","Subscription inherits the lesser from client or domain. Resources allocated to each new subscription are equal to the minimum from the former client or domain limits.","Subscription inherits from the client. Resources allocated to each new subscription are equal to the former client limits.","Subscription inherits from the domain. Resources allocated to each new subscription are equal to the former domain limits.","Distribute client's resources. The remaining part of former client's resources that was not allocated to domains is equally divided among customer's subscriptions and is added to their resources.","Upgrade to reseller. A former client is upgraded to reseller. Reseller subscription resources are equal to the former client's limits. If a domain administrator account was enabled for a client's domain, then it is upgraded to a customer account and the corresponding subscription is associated with it. If there were no domain administrator accounts, then the subscriptions belong directly to the reseller.","For subscriptions:","Upgrade to customer. The former domain administrator is converted to customer and the subscription is assigned to them.","Subscription with user. The former domain administrator account becomes a Plesk user, who has access only to the subscription containing his or her domain.","Subscription without user. The former domain administrator account is removed.","&nbsp;","Completing the Transition","66173.htm");
Page[63]=new Array("As soon as all customers and subscriptions are transferred, the transition assistant will disappear from Plesk.","To complete the switch of transferred accounts and subscriptions to the new business model, do the following:","&nbsp;&nbsp;&nbsp;","1. Set up reseller and hosting plans corresponding to your service offerings","To add a hosting or reseller plan in the Server Administration Panel, run the Add Plan wizard in Service Plans &gt; Hosting Plans and Service Plans &gt; Reseller Plans correspondingly. Learn more about plans' settings in the Administrator's Guide, sections Hosting Plans and Subscriptions and Reseller Plans.","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;","2. Associate the transferred accounts and subscriptions with the plans","To associate reseller accounts with a reseller plan, click the Change Plan button for a certain reseller in Resellers and specify the plan you added.","To associate hosting service subscriptions with a hosting plan, click the Change Plan button for certain subscriptions in Subscriptions and specify the hosting plan.","For detailed information about service plans and subscriptions, refer to the Administrator's Guide, chapter Customers and Resellers.","Associating New Accounts and Subscriptions with Plans","70422.htm");
Page[64]=new Array("In previous versions of Plesk, the users who were granted the permission to schedule tasks with cron but were not allowed access to server shell, could still run scripts in the shell under which the cron was running. This allowed them to gain access to the data that could be potentially used to compromise the server. Starting from Plesk 10.1, execution of cron tasks is automatically restricted to the chrooted shell environment. This is the default setting applied on clean installations of Plesk 10.1 and in cases when data were migrated from other platforms or earlier Plesk versions. If you upgraded to Plesk 10.1 from previous versions (including 10.0), then the chrooted shell is not automatically selected so as not to break execution of any scheduled tasks that your customers could have running.","If you trust your customers enough to allow execution of scripts in a non-chrooted environment, then you can select the required shell by issuing the following command in the console:","# /usr/local/psa/bin/server_pref -u -crontab-secure-shell &quot;/bin/sh&quot;","If you want to revert this setting and set again the default shell used by the system, issue the following command in the console:","# /usr/local/psa/bin/server_pref -u -crontab-secure-shell &quot;&quot;","Execution of Scripts via Cron Task Scheduler (Linux Hosting)","66791.htm");
Page[65]=new Array("Transfer is a process of moving hosting data (service plans, accounts, subscriptions with content, and so on) from one Plesk server (source) to another server with Plesk of the same version (destination server). Transfer lets you, for example, seamlessly move your Plesk to a more productive server or from one Linux distribution to another. You can transfer Plesk data in the following ways: using the Plesk Migrator component or using the backup files.","You can transfer data using the Plesk Migrator or, in case of a large amount of data, automate transfer using the migrate command-line utility.","Important: Transfer between Plesk for Linux and Plesk for Windows is not supported.","Supported Transfer Scenarios","Source","Destination","Plesk for Unix 8.6 or later","Plesk for Linux 10 or later","Plesk for Windows 8.6 or later","Plesk for Windows 10 or later","Transfer Using the Plesk Migrator Component (Recommended)","We recommend that you transfer hosting data using the Plesk Migrator component. This component runs on a destination server and automatically copies hosting data from your source Plesk. Learn how to transfer hosting data using Plesk Migrator in the Migration Guide.","Transfer Through Backup Files","If for some reason, Plesk Migrator cannot connect to the source server (for example, due to firewall restrictions), you can transfer data from the source to destination server using backup files. To perform the transfer, you should back up data on the source server, transfer the resulting archive file to the destination server manually, and restore the data on this server. You can back up and restore Plesk data either through the Plesk GUI, or by means of the command-line utilities pleskbackup and pleskrestore. Learn how to transfer data using backup files in the section Transferring Data Through Backup Files.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;","What Is Transferred","After you perform a transfer, the destination Plesk will contain service plans, add-ons, customer accounts, and subscriptions that existed on the source server before the transfer. The majority of Plesk settings will be transferred as well. However, there are objects and settings that are not transferred to the destination Plesk, namely:","Plesk settings from the list below:","The list of connected database servers and their settings (Tools &amp; Settings &gt; Database Servers)","Important: If a database server connected to the source server is not connected to the destination server, all databases from this server will be transferred to the destination server's default database server of the same type. To learn more about transferring domains with remote databases, refer to the section Transferring Subscriptions with Remote Databases.","The settings of Apache modules (Tools &amp; Settings &gt; Apache Modules)","Backup settings  (Tools &amp; Settings &gt; Backup Settings)","Customers' backup files and FTP storage settings (Control Panel &gt; Websites &amp; Domains &gt; Backup Manager &gt; FTP Storage &gt; Settings).","Plesk extensions.","Third-party software and services.","Administrators and customers should configure these settings and add missing objects manually.","Best Practices","You might find useful the following Odin Knowledge Base articles:","Plesk for Linux: Migration Best Practices and Usecases.","Plesk for Windows: Migration Best Practices and Usecases.","Transferring Data Between Plesk Servers","71244.htm");
Page[66]=new Array("In addition to using Plesk Migrator, you can back up data on a source server, transfer the resulting archive file to the destination server, and restore the data there. Backing up and restoring can be performed through the Plesk user interface or by means of command-line utilities pleskbackup and pleskrestore. The utilities are located in the /usr/local/psa/bin/ directory on Linux systems, and %plesk_cli% on Windows systems.","Important: The backup and restore utilities and the corresponding functions in Plesk are available only if you install the optional Plesk components that are not included in typical installations. You can install these components by using the web-based installation and update wizard: in Server Administration Panel, go to Tools &amp; Settings &gt; Updates and Upgrades &gt; Add Components, and select Plesk Backup Manager in the Server backup solutions group.","To back up data on the source server using Plesk user interface:","Follow the instructions in the Administrator's Guide for your Plesk version:","Plesk 12.5: http://docs.plesk.com/en-US/12.5/administrator-guide/59256.htm.","Plesk 12.0: http://docs.plesk.com/en-US/12.0/plesk-administrator-guide/59256.htm.","Plesk 11.5: http://docs.plesk.com/en-US/11.5/plesk-administrator-guide/59256.htm.","To back up all data on the source server using command-line utilities:","On a Linux-based server - /usr/local/psa/bin/pleskbackup server &lt;backup_file_name&gt;.","On a Windows-based server running Plesk 9 and later - &quot;%plesk_cli%\\pleskbackup.exe&quot; --server.","On a Windows-based server running Plesk 8.6 and earlier - &quot;%plesk_cli%\\pleskbackup.exe&quot; --all &lt;backup_file_name&gt;.","If you want to save backup files to an FTP server, specify a URL like ftp://[&lt;login&gt;[:&lt;password&gt;]@]&lt;server&gt;/&lt;file_path&gt; instead of &lt;backup_file_name&gt;.","If you want to improve backup security, encrypt the backup by adding the -backup-password &lt;your_password&gt; option. Learn more about password-protected backups in the Administrator's Guide, section Backup and Restoration.","If you want to perform a selective backup by means of command-line tools, follow the instructions in the Advanced Administration Guide for Linux and for Windows.","After the data you want to migrate is backed up, upload the backup file to the server and restore the data it contains.","To upload backup file to the destination server and restore data by means of the GUI:","Log in to Server Administration Panel on the destination server.","Go to Tools &amp; Settings &gt; Backup Manager (in the Tools group).","Click Upload.","Click Browse and select the backup file you want to upload.","If the backup was encrypted, specify the password that you used for encryption.","Click OK. The file is uploaded to the server storage.","On the Server Storage tab, click the link corresponding to the backup file you have just uploaded.","Select the types of data you want to restore and specify restoring options.","Click Restore and follow the on-screen instructions to complete restoring.","To restore all data on the destination server by means of the pleskrestore command-line utility:","Upload a backup file to the server.","Prepare a mapping file, so that you could specify which IP addresses should be used on the server:","To create a mapping file, issue the following command.","On a Linux-based server - /usr/local/psa/bin/pleskrestore --create-map &lt;path to backup file&gt; -map &lt;path to mapping file&gt;","On a Windows-based server - &quot;%plesk_cli%\\pleskrestore.exe&quot; --create-map &lt;path to backup file&gt; -map &lt;path to mapping file&gt;","Open the created mapping file with a text editor.","Locate the section starting with [ip-map]. It should contain entries like in the following example:","[ip-map]","# Unchanged IP addresses:","# Please review default IP addresses mapping below:","10.52.30.170 shared -&gt; 10.52.30.170 shared  # ip address does not exist 10.52.30.170","10.52.120.243 exclusive -&gt; 10.52.120.243 exclusive  # ip address does not exist 10.52.120.243","In the right part of each line after the -&gt; characters, replace the present IP addresses with those that should be used on the destination server, and make sure that the allocation scheme for the new addresses is correctly indicated by the words shared and exclusive. Shared indicates a shared IP address, and exclusive, a dedicated IP address. ","Save the file.","Restore the data from backup by issuing the following command:","On a Linux-based server - /usr/local/psa/bin/pleskrestore --restore &lt;path_to_backup_file&gt; -level server -map &lt;path to mapping file&gt;","On a Windows-based server - &quot;%plesk_cli%\\pleskrestore.exe&quot; --restore &lt;path_to_backup_file&gt; -level server -map &lt;path to mapping file&gt;","If the backup was protected by password, use the -backup-password option to specify the password that you used for encryption.","If the restoration fails with the error message Unable to resolve all conflicts, refer to the section Troubleshooting Migration &amp; Transfer Issues.","Note: If you want to perform a selective restoration by means of command-line tools, follow the instructions in the Advanced Administration Guide for Linux and for Windows.","After data are restored, each transferred website is associated with a separate hosting service subscription not linked to any particular hosting plan. To simplify further maintenance, you can now review properties of all new subscriptions and associate them with hosting plans.","Transferring Data Through Backup Files","71256.htm");
Page[67]=new Array("When you need to transfer a large number of accounts or subscriptions, doing that using the Plesk UI can be inconvenient or even impossible. Using the migrate command-line utility helps to perform this operation. ","For details, see Reference for Command Line Utilities (Linux) or Reference for Command Line Utilities (Windows).","Automatic Transfer","73567.htm");
Page[68]=new Array("When you transfer customer data from one server to another, you may want to move the IP addresses from the source server to the destination server as well, as failing to do so may result in DNS resolution issues, break your customers' customizations, and so on.","To move the IP addresses from the source server to the destination server, follow these steps:","On the destination server, add the same number of IP addresses as on the source server. To do so, first add the IP addresses via the corresponding operating system tools, then log in to Plesk, go to Tools &amp; Settings &gt; IP Addresses and click Reread IP. These IP addresses will be used as temporary placeholders, so there is no need to make them routable. Using internal IP addresses is fine.","Note: Be sure to map every IP address on the source server to a separate placeholder IP address. To avoid confusion, you can create internal IP addresses in the 10.*.*.* range so that the last three octets mimic those of the source server IP addresses'. For example, to map the IP address 188.43.64.218, create an IP address 10.43.64.218 on the destination server.","Perform the transfer procedure following the instructions in the Transferring Data Between Plesk Servers section.","Shut the source server down.","Add the actual routable IP addresses from the source server to the destination server as described in step one and configure your network infrastructure so that IP packets from the Internet are routed to the destination server.","Re-map the subscriptions on the source server from the placeholder IP addresses to the routable ones. To do so, click the corresponding link below and follow the instructions:","Plesk for Linux: http://kb.odin.com/en/943","Plesk for Windows: Changing IP Addresses","Note: Make sure that you map routable IPs to the corresponding placeholder IPs. That is, if you mapped the IP address 188.43.64.218 to the IP address 10.43.64.218 during the transfer, make sure you map the IP address 10.43.64.218 back to 188.43.64.218 and not some other IP address during this step.","IP Address Transfer","74734.htm");
Page[69]=new Array("This section describes how to troubleshoot difficulties that may occur when you try to install or upgrade Plesk. If you experience a problem that is not resolved in the table below, visit the Odin support site.","Problem","Solution","You are unable to deselect the Presence Builder component when installing the Plesk.","Presence Builder is a core component and is required for the proper Plesk installation.","The system does not recognize that IIS is installed during the Plesk installation. It displays the following message: &quot;Error: You should install the Microsoft Internet Information Server (IIS) with WWW service prior to installing Plesk. Please click the Start button, then select Settings-&gt;Control Panel-&gt;Add/Remove programs, choose Add\\\\Remove windows components and install IIS with FTP and WWW services. Refer to Windows Help for details&quot;. After you install the required services and continue the wizard, the error remains.","Retry the IIS recognition by restarting the wizard in your browser. To do this, open the page http://&lt;your-host-name-or-ip&gt;:8447 and repeat the installation steps from the beginning.","You are unable to install the Kaspersky Antivirus component on Windows 2008.","If you select the Kaspersky Antivirus component when installing Plesk for Windows 2008, the following error is displayed: &quot;A dependency problem has been found: Windows 2008 or higher is not supported by Kaspersky anti-virus&quot;.","The component is not supported for this operating system. Go to the Select Components page, deselect the component, and continue the installation.","Troubleshooting Installation and Upgrade Issues","66263.htm");
Page[70]=new Array("Plesk supports a number of third-party services that are not installed by default:","Microsoft Web Deploy (Windows).<br>Allows customers to publish their sites using WebMatrix®.","Miva E-Commerce Applications.<br>Adds support for Miva applications.","This chapter gives details on how to install these services and include them in your hosting offers. ","Appendix A: Installing Third-Party Services","70377.htm");
Page[71]=new Array("Web Deploy (Web Deployment Tool) is a Microsoft tool that significantly simplifies the migration, management, and deployment of IIS web servers, web applications, and websites. You can install and configure Web Deploy as a third-party component on your Plesk-managed server.","Here are two reasons to have Web Deploy on your server:","Simple applications publishing. Web developers who write code in Visual Studio® (IDE) and WebMatrix® (development tool) can use Web Deploy to publish their applications to a production server. If you would like to give your customers this time-saving and easy-to-use publication method, install Web Deploy on your server. ","Note: You should not install Visual Studio® and WebMatrix® on Plesk servers. This software is installed by customers themselves on their PCs.","New market for your hosting plans. WebMatrix® helps its users find a suitable hosting plan in the Microsoft Web Hosting Gallery, a catalog in which hosting providers advertise hosting offers. If you want your hosting plans to be shown in the gallery, one of the requirements is to have Web Deploy. ","1. Install Web Deploy","There are two ways of installing Web Deploy - as a Plesk component (the recommended way) or manual installation. The first way assumes that you install Web Deploy like any other Plesk component, from Tools &amp; Settings &gt; Updates and Upgrades &gt; Add / Remove Components. If you use Plesk 10.4 or earlier versions, the component installation is unavailable, so you should perform manual installation. For installation instructions, see the Manual Installation of Web Deploy section below.","Note: Microsoft Windows Powershell is required for proper installation of Web Deploy. Ensure that it is installed on the server (available by default since Windows 2008 R2). Learn how to install the component at http://www.microsoft.com/powershell.","After successful installation, you can check that Web Deploy has been discovered by Plesk. To do this, log in as the Plesk administrator and go to Tools &amp; Settings &gt; Server Components. The new component, Web Publishing, will appear in the list. Additionally, the ability to use web publishing will be added to all existing subscriptions, to the Hosting Parameters tab, and will be set as not provided by default.","If your customers use MySQL databases for their applications, you should also install the MySQL Connector/Net component from Microsoft Web Platform Installer.","2. Improve the Security Level","During the installation, Web Deploy adds a number of delegation rules to IIS that allow non-administrators to perform operations on databases and files on their IIS sites. Particularly, the rules that Web Deploy adds by default let your customers change the .NET version in their application pools. Such a change may lead to malfunctioning of .NET applications that are not compatible with certain .NET versions. Moreover, if you use shared IIS application pools, the change will affect applications of all customers who share the pool.","To prevent changing the .NET version of application pools in IIS by non-administrators, Plesk automatically adds an exception from the rule appPoolPipeline. However, in addition to this rule change, we recommend that you set IIS to run applications of each subscription in a separate pool. This setting will guarantee that other pools will continue to operate even if a certain app damages a pool on a certain subscription. You can specify to use separate pools in plan settings, the Performance tab &gt; Dedicated IIS application pool.","3. Secure the Service with a Valid Certificate","During its installation, Web Deploy installs (as needed) and activates the IIS Manager service that secures connections to Web Deploy. We highly recommend that you provide IIS Manager with a valid SSL certificate to let your customers verify your server's identity before transferring their data to your server. Learn how to do it in http://learn.iis.net/page.aspx/144/how-to-set-up-ssl-on-iis-7/. If you choose not to do it, your customers will fail to publish their sites if they specify to use a secure connection in publication settings of Visual Studio® or WebMatrix®.","4. Activate Web Deploy in Hosting Plans and Subscriptions","Now when you have successfully installed and configured Web Deploy, activate this feature in Hosting Parameters of hosting plans and existing unsynced subscriptions as needed.","Manual Installation of Web Deploy","To successfully install Web Deploy, you should meet the following requirements:","The target operating system must be Windows Server 2008 or later.","The server must have Windows PowerShell installed. Windows Server 2008 does not have this component by default (though 2008 R2 has it). Learn how to install the component at http://www.microsoft.com/powershell.","The server must have the Management Service role service (Server Manager &gt; Web Server &gt; Add Role Services, under Management Tools).","The installation procedure is straightforward: In Microsoft Web Platform Installer, find the Web Deployment Tool product and add it to the server. For more information about the installer, see http://www.microsoft.com/web/downloads/platform.aspx.","Alternatively, you can download the Web Deploy binary and run it as administrator. The download link is available at http://www.iis.net/download/WebDeploy. ","Note: You should select either the complete installation or select the custom installation and specify the Configure for Non-Administrator Deployments option.","Web Deploy 3.0","69594.htm");
Page[72]=new Array("To allow your customers to use Miva e-commerce solutions, you need to install the Miva Empresa package on your server and enable support for Miva applications in hosting plans. Note that your customers will need to obtain a license from Miva and specify a serial number during the installation of Miva applications. ","To install the support for Miva e-commerce applications on your server:","Download the Miva Empresa package from the Miva website and install it on your server. The installation instructions can be found at http://docs.smallbusiness.miva.com/en-US/merchant/WebHost/webhelp/web_host_resources.htm.","Run Plesk Reconfigurator, and then run the Correct disk permissions task.","After Miva support is switched on in hosting plans, the customers can install and use the required Miva applications. The installation instructions for Miva applications can be found at http://docs.smallbusiness.miva.com/en-US/merchant/WebHost/webhelp/web_host_resources.htm.","To learn more about Miva solutions, refer to http://www.mivamerchant.com/.","Miva E-commerce Applications (Windows)","60321.htm");
Page[73]=new Array("To allow your customers to use Miva e-commerce solutions, you need to install on the server the Miva Empresa package shipped with Plesk distribution (if you did not install it during installation of Plesk), and then switch on support for Miva applications in hosting plans.","The Miva Fasttrack and Miva Merchant online store applications are shipped with Plesk as standard web applications, which you or your customers can install from the Control Panel.","To learn more about Miva solutions, refer to http://docs.smallbusiness.miva.com/en-US/merchant/WebHost/webhelp/web_host_resources.htm.  ","To install the Miva Empresa package:","Go to Tools &amp; Settings &gt; Updates.","Click the link corresponding to your version of Plesk. For example, Plesk 12.","Locate the Miva Empresa Support item and select the checkbox on the left.","Click Install. Now the Miva Empresa server environment is installed.","Miva E-commerce Applications (Linux)","59424.htm");
Page[74]=new Array("Using additional extensions is another way of extending the functionality of your Plesk. Extensions are functional components developed by Odin or third parties. Odin partners offer a large number of additional Plesk extensions, which include antivirus protection software, advanced backup solutions, and much more.","If an extension requires an additional license key, you can obtain it from Odin as described in the section Installing Additional License Keys for Plesk Add-ons. In some cases, you must obtain license keys for extensions from the extension developers.","Typically, third-party extensions are delivered as packages and can be easily installed, removed, and configured directly from Plesk (the Extensions item in the navigation pane).","To install additional extensions provided by Odin, go to Extensions &gt; Extensions Catalog, or visit the http://ext.plesk.com website.","You can also upload an additional extension not included into the Extensions Catalog as an .rpm or a .zip archive. To do this, go to Extensions and click the Add Extension button. Then select an archive with the extension and click OK.","Note: Installing extensions from untrusted sources is insecure.","&nbsp;&nbsp;","Appendix B: Installing Plesk Extensions","70430.htm");
Page[75]=new Array("When it comes to deployment of a number of Plesk installations, we strongly recommend creating a local mirror of the Plesk updates server for Plesk distributions. This will allow you to significantly speed up Plesk deployments due to faster downloads. To create a local mirror, use the Plesk Mirror Setup Tool. For instructions on creating local mirrors of Plesk updates server, see the article http://kb.odin.com/en/113337.","Appendix C: Mirroring Plesk updates Server","65800.htm");
Page[76]=new Array("This reference covers only the Plesk Installer options related to installing Plesk using CLI. ","To learn about options related to upgrading already installed Plesk or the host operating system, issue the following command:","plesk-installer --help","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ","Option","Description and possible arguments","--source &lt;path&gt;|&lt;url&gt;","When retrieving the Plesk packages from a local file system, specify the --source option to point to the .inf3 file that contains information on the Plesk build you want to install. ","When retrieving the Plesk packages from a network server, specify the --source &lt;URL&gt; option to point to the directory where the mirror of the Plesk update server resides.","--target &lt;path&gt;<br><br>","By default, the installer saves the retrieved files in the directory /&lt;current user name&gt;/psa. For instance, if the installer was executed by user root, the /root/psa directory will be created and used. If you want to use a custom directory for storing the retrieved files, use the --target option.<br>Example: ","--target /opt/storage/psa","OR","--target D:\\temp","--proxy-host &lt;network address&gt;<br>","When using a proxy server or a firewall, use this option to specify the proxy server's domain name or IP address.<br><br>Example: ","--proxy-host proxy.example.com","--proxy-port &lt;port number&gt;<br><br>","The default port for connecting to a proxy server is 3128. If your proxy server uses different port number, you should specify it using this option.<br><br>Example: ","--proxy-port 5741","Proxy authentication options: <br>--proxy-user &lt;user-name&gt;<br>--proxy-password &lt;password&gt;","If your proxy server requires authentication, you should use these options to authenticate the installer at the proxy server.","Example: ","--proxy-user smith --proxy-password f1sZ9AnQ4EnO52","--all-versions","Show all available Plesk versions regardless of their release tiers.","--tier &lt;release-tier&gt;","Show all available Plesk versions with a specified release tier.","--show-releases<br><br> <br>","Specify this option to retrieve a list of available releases for the operating system where the installer is executed. You will be given a list of release identifiers and release descriptions. The release identifiers are what you will need to deal with.","--show-all-releases","This option shows all releases available from the Plesk updates server.","--select-release-id &lt;ID&gt;","Use this option to specify a release version that you want to install or view properties of.","--select-release-latest","Use this option to select the latest release available for your operating system.","--show-components<br><br> <br>","Specify this to obtain the information on the components available for the selected release. Components&#8217; descriptions and names will be displayed. <br>The component names are what you need to specify when selecting additional components to install.","--install-component &lt;component-name&gt;","Use this option to specify a component that you wish to install. If you want to install two or more components at once, repeat this option for each component.","Example:","--install-component base --install-component postgresql --install-component spamassassin","--installation-type","Use this option to specify the installation type: Typical or Full.","--show-os-list","Use this option to find out what operating systems are supported by the Plesk version you selected.","--no-space-check","Installs packages even if you are low on disk space.","--no-daemon","Performs installation process in the foreground.","--notify-email &lt;email&gt;","Use this option to have the installer send you status reports by email. A successful completion report includes a list of installed/upgraded packages with a detailed log.","--enable-xml-output","This option is designed for communicating with Plesk, and it may be used for interaction with other applications.<br><br>When you specify this option, all output of the installer is XML-wrapped. Note that this option disallows the installer to report errors by exit code. Exit code is always zero and all errors are reported inside XML output.","--query-status","Because RPM database does not allow multiple accesses, the installer makes a lock on its functionality. Run this option to find out if the installer  is active. This will check for a lock, and will return either an exit code (0 - the installer is idle, 1 - the installer is running and busy), or XML-formatted output.","--truncate-log","Clears the log file on Plesk Installer start.","--separate-log","Uses a new log file for each start of Plesk Installer.","--debug","Turns on detailed output into the log file.","--version","Shows Plesk Installer's version.","Appendix D: Plesk Installer Options","70274.htm");
Page[77]=new Array("To keep your server's operating system up-to-date, you may want to configure the Plesk Installer so as to notify you of new update packages available from your vendor. Note that the Plesk Installer will not install any packages without your confirmation, it will only notify you.","Note: This option is available only for RPM-based operating systems. For DEB-based systems, vendor updates repository is added to the sources list of the APT package manager.","To have the Plesk Installer check vendor sites for updates:","Create a text file with name .autoinstallerrc in the /root/ directory on the server, or, if you previously created this file, modify it. Add the following line to the file:","ADDITIONAL_SOURCE=&quot;&lt;type&gt;, &lt;priority&gt;, &lt;url&gt;, &lt;username&gt;, &lt;password&gt;&quot;","where you should replace &lt;type&gt; with repomd value, &lt;priority&gt; with a number from 1 to 999 (999 is the highest priority), and &lt;url&gt; with a URL of the vendor updates source. The values &lt;username&gt; and &lt;password&gt; are required only if your vendor's site requires authentication.","Save the file and exit from the text editor.","Appendix E: Configuring Plesk for Linux to Access Vendor Updates","65835.htm");
Page[78]=new Array("If you want to deploy the Secure Lightweight Virtual Environment (SecureLVE) extension on a server running Cloud Linux, install the SecureLVE packages by following the instructions at http://www.cloudlinux.com/docs/securelve.php. ","You can install SecureLVE before or after installing Plesk.","To make sure that SecureLVE functions properly, you need to install the following package versions:","liblve-0.7.3-2.el5.cloudlinux","securelve-0.6-3.el5.cloudlinux","vixie-cron-4.1-77.2.el5.cloudlinux","lve-0.7.3-2.el5.cloudlinux","After installing SecureLVE, you must initialize it by issuing the following command in the console:","securelve_init","Important: If you install or upgrade Plesk after installing SecureLVE, you need to run the securelve_init command again. After upgrading, also use the command securelve_user &lt;username&gt; to enable SecureLVE shell for each system user account that used it. ","After SecureLVE initialization, to update the list of shells available in the system, log in to Plesk as the administrator, go to Tools &amp; Settings &gt; Server Components and click Refresh.","Now you can set up access to the server over SSH for your customers by modifying service plans.","To allow the customers to log in to the SecureLVE shell:","Log in to the Server Administration Panel.","Go to Service Plans &gt; plan name &gt; Hosting Parameters tab.","Select the checkbox SSH access to the server shell under the subscription's system user, and select the securelve_sh option from the menu.","Click OK to save the plan properties.","Appendix F: Enabling Support for SecureLVE","65884.htm");
Page[79]=new Array("This section contains information on how to configure some of the additional components developed by Odin:","File Server. Used to share directories on a network directly from Plesk.","Firewall. Used to protect the Plesk server and private networks from unauthorized access. ","Watchdog. Used for system monitoring.","VPN. Used for establishing communications between geographically distributed LAN segments over public networks.","Appendix G. Configuring Additional Plesk Components (Linux)","70699.htm");
Page[80]=new Array("The File Server component enables Plesk administrators to share directories on a network directly from the Plesk. Using the Plesk File Server, you can share access to a directory on your server, grant access to this directory to specific users or hosts, and assign read-only or write permissions for this directory. File Server uses the Microsoft SMB (Server Message Block) protocol to share resources on a Samba server for network users.","For the Plesk File Server, the Samba server (version 2.2.x or 3.x) must be installed and properly configured.","File Server Component","70441.htm");
Page[81]=new Array("To access the File Server:","Click the Extensions shortcut in the navigation pane &gt; Samba File Server Configuration.","The page that opens is the File Server management page from where you can perform all File Server operations. This page has five tabs: Status, Shares, Users, Interfaces, and Access. Each of these tabs contains tools for managing shared resources, file server properties, network interfaces, and users and computers who will have access to the shared directories.","How to Access File Server","5163.htm");
Page[82]=new Array("This section describes how to perform the following operations:","Configure the file server.","View the current usage of shared resources.","Refresh server statistics.","Disable your file server.","To view the current status of your file server:","Go to Extensions &gt; File Server &gt; Status.","In the Current statistics section, view whether your file server is started or stopped. The statistics on the current connections to shared directories is provided in the table with the following columns:","Share, name of the shared resource.","Host, name of the remote host currently connected to the shared directory.","User, user name who is currently connected to the shared directory.","To configure the file server:","Go to Extensions &gt; File Server &gt; Status &gt; Preferences.","To change the workgroup for your server on the Microsoft network, click in the Workgroup field and enter the name of a workgroup. If needed, edit the description in the Description field containing an optional description of your file server.","You can also configure the following security parameters for your Samba server:","Authentication mode. Select one of the following security modes:","Share - in this security mode, the user authenticates themselves separately for each share. The user sends a password along with each tree connection (share mount). Passwords are meant to be associated with each share, independent of the user.","User - this security mode is based on verifying the username and password. The server can either accept or reject the username and password combination. At this stage the server has no idea what share the client will eventually try to connect to, so it bases the accept/reject decision only on the username and password and the name of the client machine.","Server - in Server Security Mode, the Samba server receives the username and password from the client and sends a session setup request to the machine designated as the password server. If the password server is in user-level security and accepts the password, Samba accepts the client's connection. The client sends all passwords in encrypted form. This security mode requires the use of a password server (see Authentication server).","Domain - in Domain Security Mode, the Samba server has a domain security trust account (a machine account) and causes all authentication requests to be passed through to the domain controllers. In other words, domain security has basically the same concept as server security mode, with the exception that the Samba server becomes a member of a Windows NT domain. This means that the Samba server can participate in things such as trust relationships.","ADS - in this mode, the authentication procedure is performed through an Active Directory domain. Samba in this security mode can accept Kerberos tickets.","Authentication server. If you set the security mode to either Server, Domain, or ADS, you will need to specify the password server (or the authentication server). For user and share modes, the password server is not required.","In this field, enter the NetBIOS name of the SMB server used as a password server, on which the Samba server will check the entered passwords. You can list multiple NetBIOS names separated with a space. This allows Samba to attempt a session setup request to each machine in the list in order until a server is contacted. This means that the next machine on the list is contacted only if the previous machine was unavailable.","You must use only the NetBIOS name of the password server (not the IP address), and Samba must have a way of resolving the name to an IP address in order to attempt the connection.","To create a local account for all users that access the Samba server and disable the password field, set this field to the asterisk character (*).","Encrypt password. Select Yes if you want to store passwords used to authenticate users in encrypted form or No if password encryption is not required.","Guest account. In this menu, select the system user whose rights will be granted to users logged on under the guest account. If you have no guest account on your server, select the no guest account option. If you need a guest account for anonymous users, it is advised that you select the nobody option.","For details on the Samba security configuration options, please refer to the relevant Samba documentation.","To refresh data on the current connections to your file server:","Go to Extensions &gt; File Server &gt; Status.","Click the Refresh button. The list of current connections and file server status will be refreshed.","To disable your file server:","Go to Extensions &gt; File Server &gt; Status.","Click the Disable button.","Configuring File Server","5386.htm");
Page[83]=new Array("To view the list of existing shared resources:","Go to Extensions &gt; File Server &gt; Shares.","View the following information about each share:","Name, displays the name of the shared resource.","Real path, shows the path to the shared resource.","Description, contains the description of the shared directory as specified during its creation.","W, write permissions show whether users can add files to this directory. The @ icon means that write permissions are set for this directory. The @ icon means that the directory is read-only.","To add a shared resource:","Go to Extensions &gt; File Server &gt; Shares &gt; Add Share.","In the Preferences group, enter the name of the shared directory, full path to the directory you want to share and its description. If you want to give write permissions for this directory to network users, select the Writable checkbox.","To select the users that will have access to the shared directory:","Select the Any user option if you want to grant access to the shared directory to all network users. ","Select the Selected only option to grant access to the shared directory only to specified users. Select the users that will have access to this directory from the Available users list by using the Add and Remove buttons. If access is allowed for some users, they should specify their login and password to access this folder.","Note: If you want to add other users to the Available users list, you must first add them using the Add User button on the Users tab. See Managing Users on how to add users.","Click OK.","To edit the properties of a share:","Go to Extensions &gt; File Server &gt; Shares.","Click the name of the shared directory you want to edit.","Change the necessary parameters.","Click OK.","Managing Shares","5164.htm");
Page[84]=new Array("To view users who can have access to the shares:","Go to Extensions &gt; File Server &gt; Users.","View users listed in a table with the following columns:","Name, displays the username.","System user, shows the system user account this File Server user belongs to.","To add a new user to the list of available users:","Go to Extensions &gt; File Server &gt; Users &gt; Add User.","Specify the following parameters:","System user - select the corresponding system user from the menu.","Name - username that will be used to access a share.","Password - password used to access a share.","Password confirmation - confirm the password.","All these fields are mandatory.","Note: You can add only one File Server user for each Unix system user.","To edit the user data:","Go to Extensions &gt; File Server &gt; Users.","Click the user name you want to edit.","Change the parameters as needed and click OK.","Managing Users","5165.htm");
Page[85]=new Array("By default, broadcast mode is disabled for all network interfaces mainly for security reasons. Broadcast mode enables sending data packets to the broadcast address. However, you can manually prevent your File Server from sending broadcast packets to specified network interfaces.","To view the list of network interfaces:","Go to Extensions &gt; File Server &gt; Interfaces.","The list is organized as a table with the following columns:","S - an icon indicating the status of the network interface. The @ icon shows that the broadcast mode for the interface is enabled, the @ icon shows that the broadcast mode is disabled for this interface, and the @ icon means that broadcast mode for this interface was enabled but now the interface is physically unavailable (was removed or corrupted).","Interface name - the name of the interface, for example, eth0, eth1, and so on.","IP Addresses - all IP addresses and subnet addresses that work on this interface.","To enable broadcast mode for an interface:","Go to Extensions &gt; File Server &gt; Interfaces.","Click the @ icon in the Status column of the table listing interfaces. The selected interface will be set to work in broadcast mode.","To disable broadcast mode for an interface:","Go to Extensions &gt; File Server &gt; Interfaces.","Click the @ or @ icons in the Status column of the table. Broadcast mode will be switched off for the selected interface.","Managing Broadcast Interfaces","6170.htm");
Page[86]=new Array("If you want to enhance the security of your file server, you can regulate what hosts or networks will have access to your shared resources. Connections from other hosts will be refused by your file server.","To view all hosts and networks that have access to your file server:","Go to Extensions &gt; File Server &gt; Access.","View the table. If the list is empty, all hosts can access your file server. This is the default option.","To allow access to your server only from a specific range of hosts:","Go to Extensions &gt; File Server &gt; Access &gt; Add Host/Network.","Enter the IP address of the host you want to allow access (for example, 123.123.123.1) or the range of hosts (for example, network address/subnet mask written as 123.123.123.0/255.255.255.0).","Click OK.","This will allow only the specified hosts to connect to the shared resources on your file server. All connections from other hosts will be refused by the file server.","To edit the list of hosts that have access to your server:","Go to Extensions &gt; File Server &gt; Access.","Click the address of the host in the list of allowed hosts.","Edit the host IP address or subnet mask (for multiple hosts) in the Network/Host address field.","Click OK.","To remove an address from the list:","Go to Extensions &gt; File Server &gt; Access.","Select the checkbox corresponding to the host address you want to remove and click Remove.","Select the Confirm removal checkbox and click OK.","Limiting Access to the File Server","6172.htm");
Page[87]=new Array("Plesk Firewall is a component that protects your Plesk-enabled server and private network from unauthorized access. With this component , you can easily set firewall rules and fine tune them through a user-friendly interface.","Firewall Component","70442.htm");
Page[88]=new Array("After you installed the component , you can do the following:","View and change the predefined rules that control connections to the following system services: Administrative control panel; Web server; FTP server; SSH server; SMTP server; POP3 server; IMAP server; mail password change service; MySQL server; PostgreSQL server; Samba file sharing server for Windows clients; VPN; domain name server; ICMP echo requests. By default, these rules allow all incoming connections to these services.","View and change the predefined system policies that define what to do with all incoming, outgoing, and transit communications that do not match the explicitly defined rules.","Add, change, and remove custom rules. For example, you may want to add a rule that will allow access to FTP accounts on the server in passive mode.","Setting Up Firewall","51133.htm");
Page[89]=new Array("For each system service, you can choose whether to allow or deny all incoming communications, or allow only communications coming from specific IP and network addresses.  ","To allow or restrict access to a service on your Plesk server:","Go to Extensions &gt; Firewall &gt; Edit Firewall Configuration.","Click the service name.","Do any of the following:","To allow all incoming connections, select the Allow option and click OK.","To deny all incoming connections, select the Deny option and click OK.  ","To deny access to a service from specific IP and network addresses, select the Allow from selected sources, deny from others&nbsp;option, specify the IP address or network address from which access to the selected service is allowed, and click Add. After you specify the required addresses, click OK.","To apply all changes to the firewall configuration, click Activate, and then click Activate again.","Managing Access to System Services","51137.htm");
Page[90]=new Array("System policies define what to do with all incoming, outgoing, and transit communications that do not match the explicitly defined rules. The system policies are usually displayed at the bottom of the list of rules.","To allow or deny communications of specific type:","Go to Extensions &gt; Firewall &gt; Modify Plesk Firewall Rules.","Click the icon to the left of the policy name you want to change. If the policy currently allows all connections, clicking this icon will prohibit all connections and vice versa.","To apply the changes, click Apply Changes, and then click Activate.","Note: Unless your configuration is activated, you have a chance to discard changes to all the policies you configured. To do this, click the Discard Changes button.  ","Managing System Policies","51138.htm");
Page[91]=new Array("This section describes how to add, modify, remove custom rules, and change the order in which the rules are applied. This section also covers the steps required for enabling passive mode for FTP connections.","To add a custom rule:","Go to Extensions &gt; Firewall &gt; Modify Plesk Firewall Rules.","Click Add Custom Rule.","Enter the name of the new rule in the Name of the rule field.","Select one of the following communication directions: Incoming for the communications inbound to the server, Outgoing for communications outbound from this server, or Forwarding for communications transiting through your server in any direction.","For incoming communications you can specify the destination ports on your server, the protocol used for this communication, and the IP address the communications come from.","For outgoing communications you can specify the destination ports, destination IP address, and the protocol used for the communication.","For transit communications going through the server, you can specify the destination ports and source&nbsp;/ destination IP addresses.","To specify the port number or a range of port numbers, type it into the Add port or port range input box, and click Add. To remove a port number from an existing rule, select it from the list and click Remove. If the list of ports is empty, this rule will be applied to all TCP and UDP ports.","To specify the IP address or network address, type it into the Add IP address or network input box, and click Add. To remove an IP address or network from the list, select it in the list and click Remove. If the list of IP addresses is empty, this rule will be valid for all IP addresses.","Specify the action that will be applied to the communications that match the defined criteria: allow or deny.","Click OK to submit the rule. ","After you have defined the required rules, click Apply Changes and then click Activate to apply them to your system. A confirmation screen will open, in which you can preview the shell script generated to apply your rules (this might be of interest only to advanced users). Click Activate to apply the new configuration.","When the new configuration is being applied, the component will check for connection with the Plesk. If there are some connection problems, the Firewall component will automatically revert to the previous active configuration in 60 seconds. Thus, if you misconfigure your firewall in such a way that access to your Plesk is prohibited even for you, this wrong configuration will be automatically discarded and you will be able to access your server in any case.","Note: Unless your configuration is activated, you have a chance to discard all changes to the rules you configured. To do this, click the Discard Changes button.  ","Under FreeBSD, all currently established TCP connections will drop when the new configuration is activated!","To edit a custom rule:","Go to Extensions &gt; Firewall &gt; Modify Plesk Firewall Rules.","Click the rule name in the list of existing rules. Make necessary changes (the options are the same as when creating a new rule) and click OK.","To remove a custom rule:","Go to Extensions &gt; Firewall &gt; Modify Plesk Firewall Rules.","Select the checkbox corresponding to the rule you want to remove and click Delete. ","To change the order in which your custom rules are applied:","Go to Extensions &gt; Firewall &gt; Modify Plesk Firewall Rules.","Click the icons Up or Down in the Order column. This will move the rule relatively to other rules covering the same direction (incoming communications, outgoing communications, or data forwarding).  ","To enable passive mode for FTP connections on your server:","Log in as &quot;root&quot; to the server shell over SSH.","Edit your ProFTPD configuration file.","Issue the command vi /etc/proftpd.conf.","Add the following line anywhere within the &lt;Global&gt; section:","PassivePorts 49152 65534","Save the file.","Log in to Plesk as &quot;admin&quot;, go to Extensions &gt; Firewall, and click Modify Plesk Firewall Rules.","Click Add Custom Rule.","Specify the following:","Rule name.","Direction: select Incoming.","Action: select Allow.","Ports: in the Add port input box, enter the value 49152-65534. Leave the TCP option selected, and click Add.","Click OK.","Click Apply Changes, and then click Activate.","Managing Custom Rules","51136.htm");
Page[92]=new Array("The following table lists the system services to which you can restrict access using the Firewall's predefined rules.","Service name","Ports used by service","Plesk administrative interface","TCP 8443","Samba (file sharing on Windows networks)","UDP 137, UDP 138, TCP 139, TCP 445","Plesk VPN service","UDP 1194","WWW server","TCP 80, TCP 443","FTP server","TCP 21","SSH (secure shell) server","TCP 22","SMTP (mail sending) server&nbsp;","TCP 25, TCP 465","POP3 (mail retrieval) server","TCP 110, TCP 995","IMAP (mail retrieval) server&nbsp;","TCP 143, TCP 993","Mail password change service","TCP 106","MySQL server&nbsp;","TCP 3306","PostgreSQL server","TCP 5432","Tomcat administrative interface&nbsp;","TCP 9008, TCP 9080","Domain name server","UDP 53, TCP 53","ICMP requests","&lt;ICMP echo request&gt;","Predefined Firewall Rules Specifications","51211.htm");
Page[93]=new Array("The Watchdog component is a solution that ensures that your server is clean from malware, all services are up and running and there is enough free disk space on the server.","Watchdog can monitor the following services:","Web server providing the control panel interface","Web server providing WWW service to users&#8217; sites","SMTP Server (QMail)","IMAP/POP3 Server (Courier-IMAP) ","DNS Server (BIND) ","Tomcat ","MySQL","PostgreSQL","SpamAssassin","Odin Premium antivirus","It can start, stop, and restart the services it monitors, and it can be configured to take actions depending on the stability of a service over some time period.","It can run other utilities and notify you when disk space usage has reached the specified amount.  ","For the purpose of monitoring services and disk space usage, Watchdog uses the monit utility. For information on the monit utility, visit the monit developers' website at http://www.tildeslash.com/monit/.","The Watchdog can scan the server file system for rootkits, backdoors, exploits, trojan horses and other malicious software on demand or on schedule. It can notify you by email of scanning results and show reports through the control panel. It updates its security knowledge base through the Internet before each scan.","For the purpose of scanning the server for malware, Watchdog uses the Rootkit Hunter utility. For information on Rootkit Hunter, visit the Rootkit Hunter developer's Web site at http://www.rootkit.nl.","Watchdog (System Monitoring) Component","70443.htm");
Page[94]=new Array("After you install the Watchdog component, you should configure the settings common for all Watchdog services, and then switch on each specific type of service you need.","To configure Watchdog settings common for all services:","Click the Extensions shortcut in the navigation pane &gt; Watchdog. A list of Plesk services will be displayed.","Click the Preferences icon in the Tools group.","Specify the following settings:","Interface language. Select the language in which Watchdog should show and send email notices and alerts. By default, the language set for your Plesk administrator's account is selected.","Automatically refresh pages. Leave this option selected, if you wish to have the information presented on the screens automatically updated on each poll.","Monitor all services started by administrator. Leave this option selected if you wish the component to monitor all the Plesk services that you start. If you install a new system service later on, the component will automatically start looking after it. Clear this checkbox, if you are going to shut down some of the Plesk services and you do not want the component to bring them up automatically or bother you with any alert messages.","Polling interval. Specify the interval between service status queries in seconds.","Store resource usage statistics. Leave this option selected if you wish the system to keep reports on CPU and RAM usage for the amount of time you specify.","Repeat security scanning. Specify how often Watchdog should scan the server for malicious code.","Send reports. Specify how often Watchdog should send you consolidated reports on CPU and RAM load, monitored services, disk space partitions and security scanning results.","Send email to. Specify the email address where Watchdog should deliver alerts and reports. By default, the Plesk administrator&#8217;s email address is used.","Send email from. Email address on behalf of which the reports and alerts should be sent. By default, this email address is watchdog@your-host-name. ","SMTP server for sending alerts. Specify local or remote SMTP servers that should be used for sending alert messages. You can specify several host names or IP addresses separated by commas. Leave the localhost entry to use your server's SMTP service. If your Plesk server is not running SMTP service, be sure to specify another remote mail server, otherwise, Watchdog will not be able to send you alerts.","Click Apply to submit the settings.","You have specified the general settings, and now you can further customize and run the Watchdog services you need: Monitoring of system services and monitoring of disk space usage require fine tuning before you can start them, however, regular security scanning requires no additional setup and therefore will start immediately after you have specified the general settings. By default, security scanning is started at 2 a.m. local time at the beginning of the specified time period.","Setting Up and Starting Watchdog Services","11372.htm");
Page[95]=new Array("To specify what services should be monitored and to start monitoring:","Go to Extensions &gt; Watchdog.","All services controlled by Plesk will be listed on the Services tab.","An icon in the S (status) column shows whether a service is currently monitored by Watchdog and it indicates the status of a service returned by the last poll:","@ - the service is not currently monitored.","@ - you started monitoring but the service has not yet been polled for its status.","@ - the service is monitored and Watchdog reports that the service is running.","@ - the service is monitored and Watchdog reports that the service is down.","@ - the service is no longer monitored by Watchdog because this service was unstable.","An icon in the M (Monitoring) column shows whether you set Watchdog to monitor the service and it also indicates whether the service was installed on the server and properly configured:","@ - the service is not installed or is not configured.","@ - you did not set Watchdog to monitor the service.","@ - you set Watchdog to monitor the service.","Specify the services that should be monitored and specify monitoring preferences:","Click a service name.","Select the Monitor the service checkbox to set the Watchdog to monitor the service.","Select the Save service statistics checkbox if you wish Watchdog to keep the information on CPU and RAM resources used by the service, and present it in graphical reports (Extensions &gt; Watchdog &gt; Statistics).","Select the Stop monitoring the service if it frequently restarts option, if you wish Watchdog to stop monitoring the service if it fails the specified number of times, and specify the failure ratio. Otherwise the Watchdog will bother you with alert messages each time it attempts to restart a non-responsive service. The default value of five failed attempts should be enough.","Specify the time during which Watchdog will be waiting for response from the polled service in the Connection timeout box. Watchdog polls the service and then is waiting for response during the specified amount of time. If Watchdog receives no response, it restarts the service. If you host a great number of sites and email accounts on your machine, you are recommended to set the Connection timeout for Qmail mail server to 120 seconds, and Apache Web server to 15 seconds, otherwise Watchdog will consider the busy services to be malfunctioning and will restart them.","Review the commands that Watchdog uses to start and stop the service. It is recommended that you leave the prefilled values unchanged. You can write custom scripts that, for example, will clean up log files or send an SMS to your cell phone before actually starting the service, and specify the commands to run your scripts in the To start the service, run the command field. ","If you are using the default commands for running the services, leave the predefined value of 60 seconds in the Service startup time box. If you are running custom scripts, and they take more than 60 seconds to execute, specify the required time in the Service startup time box. When a script is executed but does not complete its work within the specified time frame, Watchdog terminates execution of that script.","Click OK to submit the settings.","Repeat this procedure to configure monitoring for all services you need. If you are satisfied with the default monitoring settings we have predefined for each service, you can set Watchdog to monitor the required services by simply clicking the respective @ icons in the list of services.","Once you have specified all services you would like Watchdog to monitor, click the Enable icon in the Tools group.","Now the services will be monitored in accordance with the settings you specified. If you decided to use the default settings, the following actions will be taken:","All services will be automatically restarted in case of failure.","Watchdog will stop monitoring all services failing 5 times out of 5 polls.","Alert messages will be sent to the email address specified in the Plesk administrator&#8217;s account on any event.","To stop monitoring a specific service:","Go to Extensions &gt; Watchdog.","Click a @ icon corresponding to the service you would like Watchdog to stop monitoring.","To stop monitoring all services:","Go to Extensions &gt; Watchdog.","Click the Disable icon in the Tools group.","Important: Performing this action affects the whole monitoring service, meaning that not only all system services, but all disk partitions will stop being monitored. ","Setting Up and Starting Monitoring of System Services","18422.htm");
Page[96]=new Array("To configure and start monitoring disk space usage:","Go to Extensions &gt; Watchdog &gt; the Disks tab.","All connected (mounted) devices will be listed.","An icon in the S (status) column shows whether a hard disk partition or storage device is currently monitored by Watchdog and it indicates the current disk space usage rate:","@ - the disk drive or partition is not currently monitored.","@ - you started monitoring but the disk or partition has not yet been checked.","@ - the disk drive or partition is monitored and Watchdog reports that disk space usage has not reached the threshold you defined.","@ - the disk drive or partition is monitored and Watchdog reports that disk space usage has reached the threshold you defined and soon there will be no free space left on that disk or partition.","An icon in the M (monitoring) column shows whether you set Watchdog to monitor disk space usage on a storage device or disk partition:","@ - you did not set Watchdog to monitor the disk space or partition.","@ - you set Watchdog to monitor the disk space or partition.","The Device and Mount point columns show information on storage device and the partition mount point. The Mount point column shows hyphen (-) if a partition is no longer connected to the file system: when the partition is reconnected to the system, Watchdog will resume monitoring it.","The Disk space usage rate column shows the amount of disk space that can be used without drawing your attention. You can specify the amount of disk space either in percentage from total amount or in measurement units: gigabytes, megabytes or kilobytes. When the specified amount is reached, Watchdog will notify you and run the command you defined. A hyphen (-) in this column shows that the partition or device is not monitored.","The Files number rate column shows the amount of files or directories that can be stored on the file system without drawing your attention. The number of files or directories is limited not only by disk space, but also by the file system capacity. You can specify either the exact number of files and directories (if you know it) or a percent from the total amount. Watchdog will notify you when the specified amount is reached. A hyphen (-) in this column shows that the partition or device is not monitored.","The Command column shows the command that Watchdog will run when the disk space threshold is reached.","Specify the hard drive partitions that should be monitored and specify monitoring preferences:","Click a partition or device name.","Specify the amount of disk space that can be used without drawing your attention. When this threshold is reached, Watchdog will send you an alert and run the command you specified. We would recommend leaving the 80 % value selected.","Specify the number of files and directories that can be created on the server without drawing your attention. When this threshold is reached, Watchdog will send you an alert. We would recommend leaving the 80 % value selected. You can specify the exact number of files, if you know the total capacity of your file system: to find it out, log in as root to the server and run the command dumpe2fs &lt;device name&gt;  from shell.","Specify the command that Watchdog will run when the specified disk space threshold is reached. This can be a command to run a disk space cleaning utility like a tmpwatch on RedHat Linux systems.","Click OK.","Repeat the procedure to configure monitoring for all the partitions you need.","Once you have specified all partitions you would like Watchdog to monitor, click the Enable icon in the Tools group.","To stop monitoring a specific partition:","Go to Extensions &gt; Watchdog &gt; the Disks tab.","Click an icon @ corresponding to the partition you would like Watchdog to stop monitoring.","To stop monitoring all partitions:","Go to Extensions &gt; Watchdog &gt; the Disks tab.","Click the Disable icon in the Tools group.","Important: Performing this action affects the whole monitoring service, meaning that not only all disk partitions, but all system services will stop being monitored. ","Setting Up and Starting Monitoring of Disk Space Usage","18423.htm");
Page[97]=new Array("To set up and start regular security scanning:","Go to Extensions &gt; Watchdog &gt; the Preferences tab.","Specify how often Watchdog should scan the server for malicious code in the Repeat security scanning menu.","Click Apply.","Security scanning will start immediately and will repeat in accordance with the settings you defined. By default, security scanning is started at 2 a.m. local time.","To run on demand scanning:","Go to Extensions &gt; Watchdog &gt; the Security tab.","Click the Start icon in the Tools group.","Watchdog will update its knowledge base and start scanning. Upon completion, a detailed report will be presented on the screen.","To switch off regular security scanning:","Go to Extensions &gt; Watchdog &gt; the Preferences tab.","Select the disabled value from the Repeat security scanning menu.","Click Apply.","Setting Up and Starting Security Scanning","18424.htm");
Page[98]=new Array("To view the status of Plesk-managed services:","Click Tools &amp; Utilities &gt; Services Management. A list of Plesk services will show. From that screen you can manage services and view their status.","Or","Click Extensions &gt; Watchdog. A list of Plesk services will show. From that screen you can view service statuses and manage monitoring preferences.","The following information is displayed:","An icon in the S (status) column shows whether a service is currently monitored by Watchdog and it indicates the status of a service returned by the last poll:","@ - the service is not currently monitored.","@ - you started monitoring but the service has not yet been polled for its status.","@ - the service is monitored and Watchdog reports that the service is running.","@ - the service is monitored and Watchdog reports that the service is down.","@ - the service is no longer monitored by Watchdog because this service was unstable.","An icon in the M (Monitoring) column shows whether you set Watchdog to monitor the service and it also indicates whether the service was installed on the server and properly configured:","@ - the service is not installed or is not configured.","@ - you did not set Watchdog to monitor the service.","@ - you set Watchdog to monitor the service.","Viewing the Status of System Services","11375.htm");
Page[99]=new Array("To view the status of hard disk drives and other connected storage devices:","Go to Extensions &gt; Watchdog &gt; the Disks tab.","View all connected (mounted) devices listed.","Note: Watchdog might not detect properly some mounted devices.","An icon in the S (status) column shows whether a hard disk partition or storage device is currently monitored by Watchdog and it indicates the current disk space usage rate:","@ - the disk drive or partition is not currently monitored.","@ - you started monitoring but the disk or partition has not yet been checked.","@ - the disk drive or partition is monitored and Watchdog reports that disk space usage has not reached the threshold you defined.","@ - the disk drive or partition is monitored and Watchdog reports that disk space usage has reached the threshold you defined and soon there will be no free space left on that disk or partition.","An icon in the M (monitoring) column shows whether you set Watchdog to monitor disk space usage on a storage device or disk partition:","@ - you did not set Watchdog to monitor the disk space or partition.","@ - you set Watchdog to monitor the disk space or partition.","The Device and Mount point columns show information on storage device and the partition mount point. The Mount point column shows hyphen (-) if a partition is no longer connected to the file system: when the partition is reconnected to the system, Watchdog will resume monitoring it.","The Disk space usage rate column shows the amount of disk space that can be used without drawing your attention. You can specify the amount of disk space either in percentage from total amount or in measurement units: gigabytes, megabytes or kilobytes. When the specified amount is reached, Watchdog will notify you and run the command you defined. A hyphen (-) in this column shows that the partition or device is not monitored.","The Files number rate column shows the amount of files or directories that can be stored on the file system without drawing your attention. The number of files or directories is limited not only by disk space, but also by the file system capacity. You can specify either the exact number of files and directories (if you know it) or a percent from the total amount. Watchdog will notify you when the specified amount is reached. A hyphen (-) in this column shows that the partition or device is not monitored.","The Command column shows the command that Watchdog will run when the disk space threshold is reached.","Viewing the Status of Hard Disk Drives and Connected Storage Devices","18318.htm");
Page[100]=new Array("To view the statistics on CPU and RAM usage by system services:","Go to Extensions &gt; Watchdog &gt; the Statistics tab.","In the Statistics presentation preferences group, select the period and system services for which you would like to view statistics.","Click Apply.","CPU and RAM usage diagrams will be presented on the screen. The CPU Usage diagram will show the total load for all CPUs your server may have.","Viewing CPU and RAM Usage Statistics","18320.htm");
Page[101]=new Array("To view the report for the last system scan:","Go to Extensions &gt; Watchdog &gt; the Security tab.","View the detailed report will be presented on the screen. If you wish to run a new scan, click the Start icon in the Tools group.","Viewing Server Scanning Reports","18319.htm");
Page[102]=new Array("Issue: When I stop a Plesk service, it starts automatically, and the component does not seem to work properly.","Resolution: Make sure you did not remove the Plesk event handlers that are required for the proper work of the component:","Service started lowest (0) psaadm /usr/local/psa/admin/bin/php /usr/local/psa/admin/bin/modules/watchdog/wd --monit-service=&lt;new_service&gt; --plesk-name","Service stopped lowest (0) psaadm /usr/local/psa/admin/bin/php /usr/local/psa/admin/bin/modules/watchdog/wd --unmonit-service=&lt;new_service&gt;","--plesk-name","Note: If you use Debian Linux or Ubuntu Linux, the path to Watchdog's system files is /opt/psa/admin/modules/watchdog/. ","Issue: No alerts are delivered.","Resolution: Please check if the outgoing SMTP server settings you specified are correct.","Troubleshooting","11376.htm");
Page[103]=new Array("Virtual Private Networking technologies allow communications between geographically distributed LAN segments over public networks. VPN message traffic passes through public networking infrastructures, such as the Internet, via secure tunnel protocols.","One of the most useful implementations of VPN is allowing access to a local network for a single remote host. For example, if a user needs to get access to a remote network from his home computer, they must establish a VPN connection.","The Plesk VPN component extends Plesk with the ability to support peer-to-peer communication between two Plesk hosts or between your Plesk host and any other computer. At present, the Plesk VPN component supports connection to the server only from a single remote host and does not support connections from multiple hosts. The component is based on the OpenVPN solution which uses OpenSSL for encryption and the virtual TUN/TAP driver for tunneling.","VPN Component","70444.htm");
Page[104]=new Array("You should have one of the following operating systems to use the OpenVPN solution: Linux, Windows 2000/XP and higher, OpenBSD, FreeBSD, NetBSD, Mac OS X, or Solaris.","Software Requirements","62579.htm");
Page[105]=new Array("After you have installed the component as described in Installing Plesk Extensions, you can find it in Plesk at the following location: the Extensions shortcut in the navigation pane &gt; Virtual Private Networking.<br>If you access the component for the first time, the first page that opens is the VPN Preferences page. You cannot get access to other VPN component options unless you specify the preferences for your VPN connection.","Accessing the VPN Component","5579.htm");
Page[106]=new Array("To set up a VPN connection:","Go to Extensions &gt; Virtual Private Networking.","On the Preferences page that opens, specify the following parameters:","Remote Address, enter the host name or the IP address of the host you want to communicate to. Leave this field blank if you wish the other party to be able to connect to your server from different addresses or if the remote IP address is not known in advance. Note, however, that one server cannot be involved in simultaneous communication with two or more remote hosts.","Remote UDP port, specify the port on the remote host to which UDP packets from this server will be sent. The default port is 1194. Note that though VPN uses only UDP for the encrypted traffic flow, all IP protocols, including TCP, are supported over the virtual private network. You can leave this field blank if you have not specified the remote address above.","Local UDP port, your server will listen for incoming VPN traffic on this local UDP port. The default port is 1194. You can leave this field blank if you do not want to allocate a specific port, but in that case you must specify the remote address and port fields above to allow the local host to be the initiating party.","Local peer address and Remote peer address, two hosts connected by a VPN channel need to have a pair of virtual network interfaces to route the traffic through. You need to assign two IP addresses to them, one for each side of the VPN circuit. These IP addresses should be chosen from some private address spaces and it is important that they should not overlap with any of the IP addresses present within the local networks on either side of the tunnel. These two addresses must differ only in the two least significant bits. You can pick .1 and .2 for the last octets, for example. Note that the default values are only an illustration! Always check the real configuration of your network so that you do not run into IP collision problems.","Click OK.","Note: The Plesk VPN component is initially disabled. To use the VPN functionality, enable the component by clicking the Enable button.","Setting Up VPN Preferences","62400.htm");
Page[107]=new Array("To establish a VPN connection between your Plesk server and a remote host, both sides must have the same cryptographic key. This key is required for authentication and encryption of your traffic, ensuring that your communications cannot be eavesdropped or interfered by a third party. Do not forget to share the same key between both communicating parties each time you generate or upload a new key.","A cryptographic key is generated automatically and saved to a special directory during component installation. However, you might want to replace the initial key with the new one.","To generate a new VPN key:","Go to Extensions &gt; Virtual Private Networking.","Click Generate Key. The new key will automatically replace the existing key.","Note: After the new key is generated, your old key will become invalid. In order to continue communication, you must share the new key with the other communicating party.","To save the generated key to your local machine:","Go to Extensions &gt; Virtual Private Networking &gt; Download Key.","Save the key to a specified location on your disk.","You can then transmit this key file to another host on removable media or through another secure way.","To upload a cryptographic key that you received from another machine:","Go to Extensions &gt; Virtual Private Networking &gt; Upload Key.","Specify the location of the key file and click OK.","This way of key management is especially useful if you are establishing a VPN connection between two Plesk-enabled servers. If the remote host does not have Plesk, it is more convenient to use client packages.","Managing Keys","5582.htm");
Page[108]=new Array("To simplify the task of connecting a non-Plesk host to your Plesk server, Plesk supplies preconfigured client packages containing configuration files and the cryptographic key for the other party. The contents of the archives are specifically tailored to the preferences you have specified earlier.","If your user is running Windows, click For a Windows Client to download and save the client package on your local machine.","The client package is a ZIP archive that contains the following files:","Install TAP device.bat - installs the TAP driver on your computer.","Uninstall TAP device.bat - removes the TAP driver from your computer.","Connect to VPN.bat - establishes a VPN connection.","System folder - contains the cryptographic key and your VPN preferences.","To install and uninstall the TAP drivers, you must have Windows administrator rights on your computer.","To install the TAP driver, run the install TAP device.bat file. After the driver is installed, you can establish a VPN connection to the Plesk-enabled server by running the connect to VPN.bat file. The OpenVPN software itself is contained within the client package and does not require any installation or removal procedures.","If your user is running Unix, click For a Unix client to download and save the client package on your local machine. ","The package contains the openvpn.conf file with your current VPN preferences and the vpn-key file that is a cryptographic key for your VPN connection. If you are using this package, OpenVPN (version 2.0) must be already installed on the client machine. For smooth operation, we advise that you use OpenVPN 2.0 beta 11 as the component was tested on this beta version.","If the preferences on the Plesk server change or a new key is generated or uploaded to the Plesk server, the client packages must be downloaded again because they include your current key and existing VPN preferences.","Using Client Packages","5583.htm");
Page[109]=new Array("To enable a VPN connection from Plesk:","Go to Extensions &gt; Virtual Private Networking.","Click Enable.","To disable a VPN connection from Plesk:","Go to Extensions &gt; Virtual Private Networking.","Click Disable.","If you want to disable a VPN connection on a Windows client, close the Connect to VPN dialog box that appeared when you established your connection. When the Windows user logs out, the VPN connection shuts down as well.","Starting and Stopping a VPN Connection","5584.htm");
var PageCount=110;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="UTF-8" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';

*/ /* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}//